Welcome to SpeechMagic 6.1

Welcome to the SpeechMagic Installation Online Help.

SpeechMagic is a professional speech recognition software product designed to be integrated into any application which requires speech recognition. It can be used as a PC-based workstation, or in a distributed network environment.

Upgrading from SpeechMagic 5.1 to SpeechMagic 6.1

Upgrading from SpeechMagic 5.1 to SpeechMagic 6.1 is fast and simple. There is full backward compatibility (including InterActive). All adaptation data will be completely transferred to the new version which means no new training for acoustic models or ConTexts is required. The new wrong speaker detection prevents user profiles (language model, ARF) from being inaccurately adapted.

Recognition accuracy is significantly increased and error rates reduced by the new generation of recognizer. Due to architecture improvements the Dispatcher is no longer required.

For the latest information about SpeechMagic, visit our web site at http://www.philips.com/speechrecognition

Using the Help

Important: Please note that this Online Help is a work in progress. More information will be included soon.

For information on system requirements, see: System requirements - overview.

For information on preparing your system for a database, see: SpeechMagic Database - overview.

For information on licenses, see: SpeechMagic system licenses.

For information on System Tasks, see: System Tasks.

For useful information prior to installing SpeechMagic, see: A typical SpeechMagic installation.

For information on installing SpeechMagic, see: SpeechMagic Server Setup and SpeechMagic Workstation Setup.

For information on upgrading from SpeechMagic 5.1 to SpeechMagic 6.1, see: Upgrading SpeechMagic - overview.

For information on backing up and restoring SpeechMagic, see: Backing up and restoring SpeechMagic - overview.

For information on working in a Citrix environment, see: SpeechMagic Citrix Extension - overview.

For information on working in a Windows Terminal Services environment, see: SpeechMagic TS Extension - overview.

For information on SpeechMagic ancillary tools, see: SpeechMagic tools.


SpeechMagic applications

SpeechMagic has the following applications:

Initial Training

This application creates acoustic reference data for an individual SpeechMagic user.

Recorder

This application records, edits and plays back sound files, and submits dictations for speech recognition.

Correction Editor

This application provides enhanced correction functionality for dictations.

Dictation Editor

This application enhances Microsoft Word with online recognition and correction functions.

Correction Manager

This application provides you with a list of dictations in the SpeechMagic system and enables Correction Editor to be started.

ConText Adaptation

This application enables you to improve the recognition performance by adding unknown words from dictations to the ConText (vocabulary).

Administration

This application enables you to carry out administrative tasks in the SpeechMagic system if you have administration rights, and to change your password.

Workstation Setup

This application enables you to install a SpeechMagic Workstation.


Trademarks

SpeechMagic™, SpeechMike™ and Pocket Memo® are trademarks of Koninklijke Philips Electronics N.V.

Trademarks of other companies

Windows 2000, Windows XP Windows 2003 | Microsoft Corporation
Pentium | Intel Corporation

All other names are trademarks, registered trademarks or service marks of their respective owner.

See also

Acknowledgements


Acknowledgements

Philips Speech Recognition Systems acknowledges the inclusion of the following software not developed by Philips Speech Recognition Systems:

  • This product includes software developed by Davide Icardi: http://www.devage.com/

This applies to SourceGrid2.dll and SourceLibrary.dll.

Copyright & SW License: SourceGrid_License.txt and SourceLibrary_License.txt

  • This product includes software developed by Philip Hazel.

This applies to PCRE (Perl-Compatible Regular Expressions).

Copyright & SW License: License.txt

See also

Trademarks


System requirements - overview

SpeechMagic can be used in a distributed network environment.

Your system must conform to the following:

Network requirements

Hardware requirements

Software requirements

Audio requirements

Your system must have:

  • A file server. If possible, this should be a dedicated machine, but this is not compulsory.

  • A database server.

For a list of recommended hardware devices for working with SpeechMagic, see: Recommended Philips accessories.

See also

SpeechMagic Database - overview

SpeechMagic Server Setup

SpeechMagic Workstation Setup


Network requirements

SpeechMagic can operate in any network environment that supports long file names (more than 8 characters). Networks with a transfer rate of at least 100 Mbit/s (full-duplex) are recommended. TCP/IP protocol is mandatory for all PCs participating in the SpeechMagic system.

Network prerequisites

Before you install a distributed SpeechMagic system (a File Server and one or several SpeechMagic Workstations), make sure that the following network prerequisites are fulfilled:

  • On all participating SpeechMagic Workstations, the TCP/IP protocol must be installed prior to SpeechMagic Server Setup and SpeechMagic Workstation Setup.

  • All SpeechMagic Workstation PCs must be able to access the SpeechMagic folder on the File Server. Use of UNC is recommended.

  • All PCs which will be configured as SpeechMagic Workstations need to be resolvable via a WINS or DNS. If a different network configuration is used, please contact PSRS Professional Services: speechmagic@philips.com


Hardware requirements

The following hardware is required for the SpeechMagic File Server and Workstations:

File Server
Hard disk space | 1 GB + 20 MB per user; 70 MB per language + 50 MB per ConText + 10 MB for each hour of dictation
Recognition Task (with Acoustic Adaptation)
 | recommended for smaller systems | recommended for large-scale systems
CPU | Pentium IV 1.7 GHz | Pentium IV 2 GHz
RAM | 512 MB (up to 15 users) 1 GB (up to 50 users) | 4 GB (more than 1000 users)
Hard disk space | 6 GB |
ConText Adaptation Task
 | recommended for smaller systems | recommended for large-scale systems
CPU | Pentium IV 1.7 GHz | Pentium IV 3 GHz
RAM | 512 MB (up to 15 users) 1 GB (up to 50 users) | 4 GB (more than 1000 users)
Hard disk space | 6 GB |
Purge Task |  |
 | recommended for smaller systems | recommended for large-scale systems
CPU | Pentium IV 1.7 GHz | Pentium IV 3 GHz
RAM | 512 MB (up to 15 users) 1 GB (up to 50 users) | 4 GB (more than 1000 users)
Hard disk space | 6 GB |
Online recognition (InterActive)
 | recommended | recommended for advanced input channel
CPU | Pentium IV 2 GHz | Pentium IV 2.8 GHz hyperthreading
RAM | 1 GB | 1 GB Dual Channel DDR400
Hard disk space | 6 GB
Online recognition (CSPAPI)
 | recommended | recommended for advanced input channel
CPU | Pentium IV 1.7 GHz | Pentium IV 2.8 GHz hyperthreading
RAM | 512 MB | 1 GB Dual Channel DDR400
Hard disk space | 6 GB
Digital dictation
 | recommended
CPU | Pentium III 800 MHz
RAM | 256 MB
Hard disk space | 6 GB
Correction
 | recommended
CPU | Pentium III 800 MHz
RAM | 256 MB
Hard disk space | 6 GB


Software requirements

Note that it is recommended that all supported operating systems, Microsoft Office versions and database servers must have the latest service pack applied. Mandatory Service Packs are listed below.

Operating system

One of the following operating systems:

Microsoft Windows 2000 Server (SP4 and higher)

Microsoft Windows 2000 Datacenter (SP4 and higher)

Microsoft Windows 2000 Advanced Server (SP4 and higher)

Microsoft Windows 2000 Professional Edition (SP4 and higher)

Microsoft Windows XP Professional Edition (SP2 and higher)

Microsoft Windows XP Professional Tablet PC Edition (SP2 and higher)

Microsoft Windows XP Home Edition (SP2 and higher)

Microsoft Windows XP Professional x64 Edition (in 32-bit emulation mode)

Microsoft Windows 2003 Server (SP1 and higher)

Microsoft Windows 2003 Server R2 (SP1 and higher)

Microsoft Windows Server 2003 x64 Edition (in 32-bit emulation mode)

Microsoft Windows Vista

Database environment

One of the following database environments is required:

Microsoft SQL Server 2000 (SP3 and higher)

Microsoft MSDE 2000 (SP3 and higher)

Microsoft SQL Server 2005

Oracle Server - Oracle 9i (9.0.1 and higher)

Oracle Server - Oracle 10g (10.1 and higher)

Important: Make sure that the latest DBMS service pack is applied. Including the client if you are using Oracle.

Word processor

One of the following word processors for online recognition and correction:

Microsoft Office 2000 (SP3 and higher)

Microsoft Office 2002 (SP3 and higher)

Microsoft Office 2003 (SP2 and higher)

Microsoft Office 2007

Other software

  • One or more SpeechMagic Language Package.

  • One or more SpeechMagic ConText.

Note: Contact your supplier for the list of currently available Language Packages and ConTexts.

  • An Internet browser: Microsoft Internet Explorer 6.0 or higher.


Audio requirements

When working with SpeechMagic, your audio system should meet the following requirements:

  • You need to have a Sound Blaster or compatible sound card installed if no SpeechMike USB or USB Adapter Box (6220) is used.

  • If you use a SpeechMike LFH 6173, a SpeechMike Pro LFH 6174, SpeechMike Pro LFH 6184 or a SpeechMike Classic LFH 6164 for playback of dictations (this means as a loudspeaker), you need to have an amplified SPK OUT jack on your PC which supports passive speakers.

Note: If the input signal is not good enough for working with speech recognition, the Audio Wizard will display a corresponding message. Should you receive this message, refer to the Audio Wizard troubleshooting section in the SpeechMagic Online Help.


Recommended Philips accessories

The following Philips devices are recommended for use with SpeechMagic.

Microphones

  • SpeechMike Pro: LFH 5274

  • SpeechMike Pro PLUS: LFH 5276

  • SpeechMike Classic: LFH 5260 (Philips)

  • SpeechMike Classic: LFH 5262 (International)

  • SpeechMike Classic PLUS: LFH 5270 (Philips)

  • SpeechMike Classic PLUS: LFH 5272 (International)

Digital Pocket Memos

  • DPM 9220

  • DPM 9360

  • DPM 9400

  • DPM 9450

Transcription sets

  • Transcription Set LFH 5120 including the Foot Control LFH 0210/90 and headphones LFH 0234.

  • Transcription Set LFH 5220 including the Foot Control LFH 0210/90, headphones LFH 0234 and the USB Adapter LFH 6220.

For more information, see the documentation delivered with the device or visit our web site at: http://www.philips.com/speech


Operating system access rights

Different operating system users need different system access rights in order to perform different tasks relating to SpeechMagic. For example, a user needs different operating system access rights to install SpeechMagic on a PC than to start SpeechMagic on that PC. Before attempting to install and/or use SpeechMagic it is required that all relevant users have the required access rights in the operating systems of the PCs they will use.

Note: For information on SpeechMagic-specific access rights (Recognition, Administration and ConText Adaptation), refer to the SpeechMagic Online Help.

The following operating system access rights are required:

  • To install SpeechMagic, the operating system user needs administration rights for the operating system. The user:

Must be a member of the local Administrator user group.

Must have read and write access on the HKLM registry hive.

Must have read and write access on the SpeechMagic file share.

Must have read and write access to the local SpeechMagic root folder.

  • To setup the SpeechMagic Database, the database user needs rights to create and use the database. It is recommended that you use a database system administrator account.

  • The database must be configured to use the SQL Server built-in authentication. This applies to both MSDE and Microsoft SQL Server.

  • To run SpeechMagic applications the user:

Must be a member of the local normal user group.

Must have read access on the HKLM registry hive.

Must have read and write access on the HKCU registry hive.

Must have read and write access on the SpeechMagic file share.

Must have read access to the local SpeechMagic root folder.

  • To host the SpeechMagic Service the user:

Must have the same rights as needed for normal SpeechMagic applications (see above).

  • To execute SpeechMagic automatic updates (if configured it executes automatically when the PC is started), administration rights for the operating system are necessary. The user:

Must have the same rights as needed for SpeechMagic installation (see above).

Must have the same rights as needed for normal SpeechMagic applications (see above).

Note: Automatic SpeechMagic update is done from within the SpeechMagic Service. If automatic updates are desired the SpeechMagic Service rights must be elevated accordingly.


SpeechMagic Database - overview

For SpeechMagic operation a database hosted in a database management system (DBMS) is necessary. Every SpeechMagic system requires its own database. Normally the SpeechMagic Database is created during SpeechMagic Server Setup (this is recommended). Alternatively, the database can be created prior to Server Setup via SmDbStp.exe which is available on the SpeechMagic CD. Using SmDbStp.exe to create the SpeechMagic Database enables enhanced tuning of the database, however in general this is not necessary.

The SpeechMagic CD does not include database management systems. The DBMS must be installed and available before SpeechMagic Server Setup is started.

For more information, see:

Oracle DBMS

Microsoft DBMS

Creating a SpeechMagic Database during Server Setup

Creating a SpeechMagic Database before Server Setup

SpeechMagic verification

SpeechMagic checks that:

  • The mandatory DBMS service pack level is applied during SpeechMagic Server and Workstation Setup and when SpeechMagic applications are used.

  • The operating system code page used on SpeechMagic Workstations is compatible with the collation sequence of the SpeechMagic Database.

Royalty-free DBMS versions

Microsoft and Oracle provide a royalty-free DBMS. These can be used in small scale systems.

http://www.microsoft.com/sql/downloads/default.mspx

http://www.oracle.com/technology/products/database/xe/index.html

For more information on the database management systems which are supported and the requirements and constraints for a DBMS working with SpeechMagic, see:

Selecting a DBMS

Hardware requirements

Software requirements

See also

Starting installation

SpeechMagic Server Setup

SpeechMagic Workstation Setup


Selecting a DBMS

When you decide which DBMS to use you should take the following points into consideration:

  • Connections to the SpeechMagic Database

In general, every SpeechMagic Workstation needs one DMBS connection available. This is independent of the number of SpeechMagic applications that are hosted on the PC.

Note: If InterActive is used on PCs that are not SpeechMagic Workstations (InterActive was deployed without SpeechMagic Workstation Setup) no DBMS connection is needed for this PC.

The PC used for data transfer between InterActive Clients and SpeechMagic core needs one DBMS connection.

Note: The limit of DBMS connections are determined by your DBMS version and license. For more information, see the documentation delivered with the DBMS.

  • Database size

For example, for a SpeechMagic system using Microsoft SQL Server 2005, with 500 users installed (each user has one input channel assigned), 8 ConTexts installed and around 5,000 active dictations in the system, the size of the database is less than 50 MB (on disk).

For example, for a SpeechMagic system using Microsoft SQL Server 2005, with 10,000 users installed (each user has one input channel assigned), 56 ConTexts installed and around 1,000 active dictations in the system, the size of the database is at least 70 MB (on disk).

The royalty-free editions have database size limitations. This is not relevant for SpeechMagic as a SpeechMagic Database is relatively small and uses only a fragment of that size. The size limitation introduced by the DBMS is much higher than the SpeechMagic Database will become.

  • CPUs utilised by the DBMS

The royalty-free editions have limitations; only 1 CPU is utilized. The royalty-free SQL Server 2005 Express and Oracle Express do not necessarily use the full capacity of the host PC but it is not generally a limitation as the database traffic generated by SpeechMagic is relatively small in comparison with other database applications.

For more information, see the documentation delivered with the DBMS.

Existing DBMS

If a DBMS already exists it can be used to host the SpeechMagic Database as long as:

  • SpeechMagic requirements are met: Software requirements.

  • The existing DBMS is not heavily utilized.

  • The PC hosting the DBMS is not itself heavily utilized.

Limitations

 | MSDE 2000 (or 2.0) | SQL Server 2005 Express Edition | Oracle Express Edition
CPU | utilises max. 2 | utilises 1 | utilises 1
RAM | utilises max. 2 GB | utilises max. 1 GB | utilises max. 1 GB
Size | 2 GB | limits database size to 4 GB | limits database size to 4 GB
Concurrent operations | 5 (constricts performance above the limit) | no limit (limited by available memory) | no limit (limited by available memory)
Concurrent operations | 8 | no limit (limited by available memory) | no limit (limited by available memory)
Concurrent connections | 32767 | no limit (limited by available memory) | no limit (limited by available memory)


Oracle DBMS

To use an Oracle DBMS for SpeechMagic the following requirements must be met on each SpeechMagic Workstation.

The following software must be installed on the PC:

  • Oracle client software (obtained from Oracle).

  • Oracle OLEDB Provider (obtained from Oracle).

  • Oracle client must be configured to allow connection to the DBMS system.

If your Oracle DBMS instance collation sequence is not suitable, an extra DBMS instance must be created and used to host the SpeechMagic schema (database).

Collation

The SpeechMagic Database collation selected must be compatible with the SpeechMagic Workstation code pages.

For example, when a SpeechMagic Database is hosted on an Oracle DBMS with collation WE8MSWIN1252, the SpeechMagic Workstations must have the code page set to 1252.

If you already have an instance of Oracle installed with a different collation it is mandatory to install a new instance of Oracle DBMS with the SpeechMagic compatible collation. There is no way to specify the collation on the schema level (unlike SQL Server).

Note: During SpeechMagic Workstation Setup the compatibility is checked. If a conflict exists, SpeechMagic Workstation Setup is not possible.

See also

Creating a SpeechMagic Database


Microsoft DBMS

To use a Microsoft DBMS, the DBMS must be configured to use, as a minimum, the SQL Server authentication.

Collation

When using a Microsoft DBMS you can select a SpeechMagic Database collation other than the SQL Server default collation. However, the selected SpeechMagic Database collation must be compatible with the SpeechMagic Workstation code pages.

Note: During SpeechMagic Workstation Setup the compatibility is checked. If a conflict exists, SpeechMagic Workstation Setup is not possible.

See also

Creating a SpeechMagic Database


Creating a SpeechMagic Database during Server Setup

To create the database, a database administrator (dba) user account is required. It is recommended that you create the SpeechMagic Database during SpeechMagic Server Setup. However, you can also create it before SpeechMagic Server Setup.

Database creation during Server Setup: Microsoft

This is the recommended procedure. Proceed as follows:

  1. On the Database type page select Microsoft SQL Server 2000 and higher/MSDE and click next.

  2. On the Microsoft SQL Server/MSDE page enter the required information and click next.

  3. On the Create new database (SQL Server/MSDE) page enter the required information and click next.

  4. Continue the Server Setup.

Database creation during Server Setup: Oracle

This is the recommended procedure. Proceed as follows:

  1. On the Database type page select Oracle Server 9i and higher and click next.

  2. On the Oracle Server page enter the required information and click next.

  3. On the Create new database (Oracle) page enter the required information and click next.

  4. Continue the Server Setup.

See also

Creating a SpeechMagic Database before Server Setup


Creating a SpeechMagic Database before Server Setup

To create the database, a database administrator (dba) user account is required.

If the SpeechMagic Database is created prior to SpeechMagic Server Setup the MDAC component must be available on the PC where SmDbStp.exe is started. MDAC installation package is available on the SpeechMagic CD in the following location: WINSYS\mdac_typ.exe.

Database creation before Server Setup (SmDbStp.exe): Microsoft

Creating a database before Server Setup means that you can specify the collation. The DBMS must be configured to use, as a minimum, the SQL Server authentication.

Precondition: MDAC must be installed.

Proceed as follows:

  1. On the SpeechMagic CD, browse for the Tools\SmDbStp folder and double-click SmDbStp.exe.

  2. Follow the database wizard.

  3. On the Select Database Type page select SQL Server 2000/MSDE 2.0 SP3 or higher.

  4. On the SQL Server Options page select Create a new database.

  5. On the SQL Server Database Creator page enter the appropriate information. The user and password must have sufficient database server rights (for more information, see: Operating system access rights).

  6. On the Create Database (and User Logon) on SQL Server page enter the appropriate information, select the appropriate Collation and click Create Database.

  7. Click Finish.

Schema creation before Server Setup (SmDbStp.exe): Oracle

Creating a database before Server Setup means that you can specify the user and the temp. tablespace.

Precondition: MDAC must be installed.

Proceed as follows:

  1. On the SpeechMagic CD, browse for the Tools\SmDbStp folder and double-click SmDbStp.exe.

  2. Follow the database wizard.

  3. On the Select Database Type page select Oracle 9i (9.0.1) or higher.

  4. On the Oracle Options page select Create a new schema.

  5. On the Oracle Schema Creator page enter the appropriate information. The user and password must have sufficient database server rights (for more information, see: Operating system access rights).

  6. On the Create Schema/User on Oracle Server page enter the appropriate information and click Create Schema. You must specify the tablespace the Schema is associated with and the temporary tablespace for temporary data.

Note: The tablespace is the location where data is stored logically. For more information, see the documentation delivered with your Oracle DBMS.

  7. Click Finish.

See also

Creating a SpeechMagic Database during Server Setup


Distributed SpeechMagic installation

A distributed SpeechMagic system is installed over a network environment (LAN).

In this type of system it is recommended that you have a File Server to store all SpeechMagic related data files and an additional database server to host the SpeechMagic Database. SpeechMagic System Tasks are assigned and running on multiple PCs.

All SpeechMagic Workstations have access to the File Server (a file share). All SpeechMagic Workstations can connect to the SpeechMagic Database on the database server. All SpeechMagic-related data is stored centrally on this File Server and in the SpeechMagic Database.

For more information on the SpeechMagic workflow, see the "Introduction" book of the SpeechMagic Online Help.

Example of a distributed SpeechMagic installation

Note: Deferred correction could include the author being connected to the SpeechMagic system while recording the dictation in house and then sending the dictation files to a transcriptionist for correction later. Alternatively the author could be disconnected from the SpeechMagic system while recording the dictation out of house and then connecting to the SpeechMagic system for recognition and correction.

For more information, see the SpeechMagic SDK Online Help.


Stand-alone SpeechMagic installation

If SpeechMagic is installed on a single PC, all data is located on the local hard disk. The SpeechMagic Workstation acts as a File Server, hosts the database and runs all SpeechMagic System Tasks, as well as applications.

Note: Not everything in the SpeechMagic system can run in parallel. Therefore, some tasks or applications must be started and stopped one after the other. For more information, see the 'Task Conflicts' topic in the SpeechMagic Online Help.

Important: This type of installation is for development or integration purposes only.

See also

Distributed SpeechMagic installation


Installing InterActive SDK

InterActive SDK is delivered as part of SpeechMagic. Installing InterActive SDK will automatically uninstall any previous versions of InterActive SDK and clear the client cache.

The InterActive runtime components must be installed for end users to use applications based on InterActive SDK. For more information on installing InterActive SDK for developers, see the SpeechMagic SDK Online Help.

You can install InterActive runtime components in the following ways:

  • On a SpeechMagic Workstation

Select the InterActive option on the SpeechMagic Components page of the Workstation Setup installation wizard or provide the proper parameter to SpeechMagic silent setup. For more information on silent setup, see the SpeechMagic SDK Online Help.

  • On a PC without SpeechMagic

The following folders must be copied from the SpeechMagic Server to a local drive on the PC (after installation they can be deleted):

Interactive

WinSys

DriverSetup

Recorder

The following file should then be run with the appropriate command line parameters:

Interactive\setup.exe

For more information on command line parameters, see the SpeechMagic SDK Online Help.


SpeechMagic system license

During SpeechMagic Server Setup a license key must be entered.

This license key determines the:

  • SpeechMagic license scheme

  • SpeechMagic license type

License schemes

The following license schemes are available:

  • User-based

This type of license specifies the maximum number of users (with recognition rights assigned) who can be added to the SpeechMagic system.

Note: There can also be an unlimited number of digital dictation users in addition to the maximum number of recognition users.

  • Transaction-based

Payment is based on the number of words recognized in a SpeechMagic system. This can be for a specified maximum number of users or an unlimited number of users.

  • Dictation-only

This type of license is for digital dictation and manual transcription. An unlimited number of users can be added to the SpeechMagic system. These users do not have any recognition, adaptation or administration rights. No Language Package or ConText installation is required.

License types

The following types of license are available:

  • Standard

This license type provides full functionality.

  • Time-limited

This license type provides full functionality but is restricted to a specified amount of time. It is for evaluation purposes.

  • Demo

This license type provides full functionality but is intended for demonstration purposes. When opening SpeechMagic under a demo license the information is displayed on the welcome screen.

See also

Changing the SpeechMagic system license


Changing the system license

Changing the SpeechMagic system license

If necessary you can change your system license. Upgrade can be done either via the SpeechMagic Administration application or the SpeechMagic Server Setup. Downgrading system licenses is only possible via the SpeechMagic Administration application.

For more information on the different license schemes and license types, see: SpeechMagic system license.

Changing the license scheme via SpeechMagic Server Setup

  • A user-based license can be exchanged for another user-based license with a different specified maximum number of users.

  • A user-based license can be changed to a transaction-based license.

  • A transaction-based license can be changed to a user-based license (the number of recognition users in the new license must be equal to or higher than the currently installed license).

  • A dictation-only license can be changed to a user-based license.

  • A dictation-only license can be changed to a transaction-based license.

Changing the license scheme via SpeechMagic Administration

  • A user-based license can be changed to another user-based license with a different specified maximum number of users. The new license must include enough recognition users to cover the users with recognition rights who are already installed.

  • A dictation-only license can be changed to a user-based license.

Changing the license type

  • A time-limited license can be changed to another time-limited license, of the same license scheme, with a different expiration date via SpeechMagic Administration and SpeechMagic Server Setup.

  • A time-limited license can be changed to a demo license of the same license scheme via SpeechMagic Server Setup.

  • A time-limited license can be changed to a standard license of the same license scheme via SpeechMagic Administration and SpeechMagic Server Setup.

  • A demo license can be changed to a standard license of the same license scheme via SpeechMagic Administration and SpeechMagic Server Setup.

Note: It is not possible to switch from a standard license to a demo or a time-limited license.


ConText license

To install a ConText you need a ConText license key. If you install more than one instance of a ConText (for example, two copies of a radiology ConText are installed in parallel) they share the same license key. If your SpeechMagic system is using multiple different ConTexts (for example, radiology and cardiology) you will need a license key for every ConText. For more information, contact your local supplier.

The following types of ConText licenses are available:

  • Standard

This license type provides full functionality.

  • Time-limited

This license type provides full functionality but is intended for use in conjunction with a SpeechMagic system time-limited license.

  • Demo

This license type provides full functionality but is intended for demonstration purposes.

Changing a ConText's license

You can change your ConText license in the SpeechMagic Administration module (ConTexts/Language Packages button). For more information, see the SpeechMagic Online Help.

You can change the number of users who can be assigned to a ConText or change from a time-limited or demo license to a standard license.

The new ConText license must include enough recognition users to cover the users with recognition rights who are already assigned.


SpeechMagic Service

SpeechMagic Windows Service

In SpeechMagic 6.1 a Microsoft Windows Service concept has been introduced for all SpeechMagic System Tasks (backend applications).

For detailed information on Windows services, see: Introduction to Windows Service Applications (source: Microsoft).

SpeechMagic 5.1 SR 1 offered the following system services: Recognition Server(s), Dispatcher, ConText Adaptation Server and Purge Daemon.

As of SpeechMagic 6.1 system services have been renamed to System Tasks. The new terminology has been introduced to reflect the new architecture. SpeechMagic 6.1 offers the following System Tasks: Recognition Task(s), ConText Adaptation Task and Purge Task.

Note: As of SpeechMagic 6.1 the Dispatcher has been removed. The Recognition Task(s) have taken over the work of the Dispatcher. This reduces the complexity of the SpeechMagic system and eliminates a single point of failure.

For information on the System Tasks, see: System Tasks.

Implementation details

Only one Windows Service is needed per Workstation. It is called SpeechMagic.

The SpeechMagic Service starts the SpeechMagic System Tasks according to the assignments done in the SpeechMagic system. In a SpeechMagic system there are multiple Recognition Tasks, one ConText Adaptation Task and one Purge Task.

A Recognition Task, the ConText Adaptation Task and the Purge Task can be hosted concurrently by one Workstation.

The SpeechMagic System Tasks run within the same security context as the SpeechMagic Service itself.

For a description of the operating system rights for the SpeechMagic Service, see: Operating system access rights.

Installing the SpeechMagic Service

The SpeechMagic Service is installed during SpeechMagic Workstation Setup. On the SpeechMagic Service Configuration page of the installation wizard you must provide information on an existing operating system user for the SpeechMagic Service. This user will not be created by SpeechMagic.

For information on upgrading to SpeechMagic 6.1, see Upgrading SpeechMagic.

User interface

A Windows Service by definition does not offer a user interface . Windows Services are designed to run in the background without user interaction.

However, to ease maintenance and support, SpeechMagic 6.1 contains a Service Viewer application. This application lists all SpeechMagic Workstations. For each Workstation the status of the SpeechMagic Service and the status of the System Tasks is given.

The SpeechMagic Service Viewer enables you to view the activity output of a System Task (similar to the Details windows of SpeechMagic 5.1 applications). From one Workstation it is even possible to view the activity of all Workstations in the SpeechMagic system if the logon user has the necessary operating system credentials.


SpeechMagic System Tasks

SpeechMagic System Tasks are hosted by a Windows service called SpeechMagic. They are therefore started automatically when the computer starts and can be started and stopped remotely without the need for a user to be logged on. This means that they can run in a different security environment from the logged-on user; thus fulfilling industry IT security policies.

Managing large SpeechMagic sites (for example, hospital-wide installations) is now straightforward.

SpeechMagic has the following System Tasks:

  • Recognition Task

Performs speech recognition (converting speech into text) of dictations in batch mode. Recognition Tasks check the SpeechMagic Database for dictations with the status RECOGNITION_PENDING and select one to recognize based on properties such as priority and age. Recognition Tasks also perform Acoustic Adaptation.

There must be one or more assigned per SpeechMagic system.

  • ConText Adaptation Task

Analyzes corrected dictations and creates the list of unknown words and the list of unknown grammar items. It also updates the lexicon and merges ConText data.

There must be one assigned per SpeechMagic system.

  • Purge Task

Deletes dictations and related data no longer required by the SpeechMagic system.

There must be one assigned per SpeechMagic system.

System Tasks can be assigned to any Workstation. For more information, refer to the SpeechMagic Online Help.

If a System Task fails, it is restarted automatically.

Managing SpeechMagic System Tasks

There is no longer any need to deal with starting or stopping SpeechMagic System Tasks as they are completely handled by the SpeechMagic Service:

  • If a System Task is assigned to a SpeechMagic Workstation (via SMAPI or the Administration application) the SpeechMagic Service running on this Workstation will start the System Task automatically.

  • If a System Task is unassigned from a SpeechMagic Workstation (via SMAPI or the Administration application) the SpeechMagic Service running on this Workstation will stop the System Task automatically.

  • If a System Task is re-assigned to another SpeechMagic Workstation (via SMAPI or the Administration application) the SpeechMagic Services involved will transfer the System Task automatically.

See also

Starting and stopping the SpeechMagic Service


Starting and stopping the SpeechMagic Service

Starting and stopping SpeechMagic Services

Windows Services can be started or stopped remotely. This is also possible for the SpeechMagic Service. If you start or stop the SpeechMagic Service it will start or stop itself and all assigned SpeechMagic System Tasks on that same Workstation.

SpeechMagic Workstation Setup configures the SpeechMagic Service to start when the PC is started. Once started, the SpeechMagic Service will start all assigned SpeechMagic System Tasks on that Workstation as well.

In general, there should be no need to stop a SpeechMagic Service. However, you may have to in the following situations:

  • For a full back up of SpeechMagic data (File Server and Database) in standstill. All applications (SpeechMagic and partner-based) and System Tasks must be stopped.

  • SpeechMagic system maintenance (service pack or hotfix deployment). When the SpeechMagic Service is re-started the service pack or hotfix will be deployed automatically (but only if no other applications - SpeechMagic and partner-based - are running).

  • To force a stop or start of SpeechMagic System Tasks.

  • Partner integration maintenance.

  • Other maintenance (operating system or hardware related).

How to start or stop the SpeechMagic Service locally

To start or stop the SpeechMagic Service, do the following:

  1. Go to the Start menu, Settings, Control Panel and double-click Administrative Tools.

  2. Double-click Services.

  3. Right-click SpeechMagic, select Properties and open the General tab.

The Service status section describes whether the service is Started or Stopped.

The Startup type section describes whether the service is Automatic, Manual or Disabled.

  4. Click Start or Stop.

The SpeechMagic Service on the PC is stopped or started and any System Tasks assigned to the PC are stopped or started.

How to start or stop the SpeechMagic Service remotely

You can also start or stop the SpeechMagic Service on another PC. Proceed as follows:

  1. Go to the Start menu, Settings, Control Panel and double-click Administrative Tools.

  2. Double-click Computer Management. The corresponding dialog box is displayed.

  3. Go to the Action menu and select Connect to another computer.

  4. Browse for the PC or type in the UNC path.

  5. Expand Services and Applications and double-click Services.

  6. Right-click SpeechMagic, select Properties and open the General tab.

The Service status section describes whether the service is Started or Stopped.

The Startup type section describes whether the service is Automatic, Manual or Disabled.

  7. Click Start or Stop.

The SpeechMagic Service on the PC is stopped or started and any System Tasks assigned to the PC are stopped or started.

Note: Administration rights for the remote PC are needed.

How to start or stop the SpeechMagic Service locally from the Command line

You can also start or stop the SpeechMagic Service on the local PC via the command line.

Enter the following command line parameter to start the SpeechMagic Service:

net start SpeechMagic

Enter the following command line parameter to stop the SpeechMagic Service:

net stop SpeechMagic

Enter the following command line parameter to query all running services:

net start

How to start or stop the SpeechMagic Service remotely from the Command line

You can also start or stop the SpeechMagic Service on a remote PC via the command line.

Enter the following command line parameter to start the SpeechMagic Service:

sc \\<UNC path> start SpeechMagic

Enter the following command line parameter to stop the SpeechMagic Service:

sc \\<UNC path> stop SpeechMagic

Use the following command line parameters to query the SpeechMagic Service:

sc \\<UNC path> query SpeechMagic

Note: Administration rights for the remote PC are needed.


A typical SpeechMagic installation

This topic provides an overview of how to install a typical distributed SpeechMagic network installation. Follow the steps described below, for detailed information on each step of the installation wizard, see: SpeechMagic Server Setup and SpeechMagic Workstation Setup.

  1. Create the folder where the SpeechMagic files will be stored, and share it on the PC you intend to use as the File Server.

If you run SpeechMagic under Windows NT, make sure that all users have change rights to this folder and its subfolders.

  2. Use UNC to connect all Workstation PCs to the SpeechMagic folder on the File Server.

Alternatively, map a network drive to the shared folder on the File Server on all PCs you intend to use as Workstations. The drive letter and the path must be identical on all Workstation PCs.

  3. Insert the installation CD-ROM into one of the PCs you want to use as a SpeechMagic Workstation later on and start SpeechMagic Server Setup.

Do not use the PC which you intend to use as the SpeechMagic File Server. This would create a stand-alone SpeechMagic installation which cannot be changed to a distributed installation.

  4. After SpeechMagic Server Setup you can immediately run SpeechMagic Workstation Setup on this PC.

  5. Set up additional SpeechMagic Workstations on the other PCs.

The setup program is located in the WSSETUP\<language> subfolder of the SpeechMagic folder on the File Server.

<language> stands for the user interface language of your choice.


Starting SpeechMagic Server Setup

To start installation, insert the SpeechMagic CD into the CD-ROM drive of the PC. The AUTORUN window is opened automatically with these options:

Install - starts the SpeechMagic Server Setup.

Browse CD - opens the explorer.

Readme - opens the Readme.

Installation Help- opens the Installation Online Help.

Exit - shuts down the AUTORUN window.

When SpeechMagic Server is installed you can install SpeechMagic Workstations, see: SpeechMagic Workstation Setup.

Note: If your operating system language is either English, French, German, Dutch or Finnish the AUTORUN window is automatically displayed in that language. For any other language, English is used as the default language.

If installation does not start automatically, do the following:

  1. Double-click the My Computer icon on the desktop.

  2. Double-click the CD-ROM drive icon; you will be shown the contents of the CD.

  3. Select the Server folder.

  4. Start the program setup.exe by double-clicking it.

The SpeechMagic Server Setup wizard is opened.

Note: If Server Setup is run on a PC with the operating system Microsoft Vista installed, the following messages might be displayed:

  • Server Setup is not digitally signed.

  • The publisher is unknown.

Click OK and continue with the installation process.


Starting SpeechMagic Workstation Setup

SpeechMagic Workstation Setup must be run on every PC to be included in the SpeechMagic system before starting work with SpeechMagic. To start SpeechMagic Workstation Setup, do the following:

  1. Browse for the SpeechMagic folder on the File Server.

  2. Go to the WSSETUP subfolder.

  3. Select to the desired language folder (English, German, French, Dutch, Finnish).

  4. Double-click the Setup.exe file.

You must complete the setup on each PC, in order for the PC to run in the SpeechMagic system. This also applies after re-installation.

The user interface language of Workstation applications is determined by the language folder you choose when starting Workstation Setup.

Note: If Workstation Setup is run on a PC with the operating system Microsoft Vista installed, the following messages might be displayed:

  • Workstation Setup is not digitally signed.

  • The publisher is unknown.

Click OK and continue with the installation process.

See also

SpeechMagic Workstation Setup - overview


SpeechMagic Server Setup - overview

SpeechMagic Server Setup comes with an installation wizard which will guide you through the installation process. Follow the links below for information on each installation wizard page.

Before you start SpeechMagic Server Setup, it is strongly recommended that you exit all Windows programs. If you are installing SpeechMagic for the first time, refer to the introductory pages of the SpeechMagic Installation Help.

The installation wizard has the following pages:

  1. Additional information

  2. License information

  3. Destination folder

  4. System name

  5. Database type

  6. Microsoft SQL Server/MSDE

  7. Oracle Server

  8. New database (SQL Server/MSDE)

  9. New database (Oracle)

  10. Start copying files

  11. SpeechMagic Server Setup complete

Canceling setup

If the Server Setup is canceled, any temporary files created by the setup will be deleted. Any other actions which took place during the setup process will also be undone.

This mechanism does not apply to the Microsoft redistributable packages which are installed during setup; they will remain on the PC.

Performance values

Performance values help to monitor the performance of the system and to detect performance bottlenecks in recognition. Performance values are calculated and written to the PERFORM.TXT file that is located in the Perform folder of the SpeechMagic Server installation. For more information, see the 'Performance values' topic in the SpeechMagic SDK Online Help.


Additional information

SpeechMagic comes with README.HTML files which include last minute information concerning changes and important hints. We strongly recommend reading them before running SpeechMagic Server Setup. You can find these files in the following subfolders of your installation CD - or after installation, in one of the subfolders of your SpeechMagic folder: English, German, French, Dutch, Finnish.

Back to SpeechMagic Server Setup - overview


License information

In this step, you enter the license owner's name, the license owner's company's name, and the SpeechMagic license key. By installing SpeechMagic and entering the license key, you agree to comply with the copyright laws.

If you are reinstalling SpeechMagic (see: SpeechMagic Server Setup maintenance) or installing a service release of an existing installation, this field displays asterisks, which represent the license key of the existing installation. You can either confirm the old license key or overwrite it by entering your new license key.

Note: If you have questions regarding your license key, contact your local supplier.

For more information, see: SpeechMagic system licenses.

Back to SpeechMagic Server Setup - overview


Destination folder

Destination folder (SpeechMagic system root)

In this step you define where all the necessary program files and data files, which make up the SpeechMagic File Server, should be installed.

The destination folder (SpeechMagic system root) that you specify determines how you can operate SpeechMagic:

  • If you use UNC drive mapping or specify a folder on a network drive, SpeechMagic assumes you are setting up a distributed SpeechMagic installation. For more information, see: Network requirements.

  • If you specify a folder on a local drive, SpeechMagic assumes you are setting up a stand-alone SpeechMagic installation.

Important: This type of installation is for development or integration purposes only.

The Setup program suggests a destination folder for the installation. By default, this is the first network drive available. This means that a distributed SpeechMagic system will be installed. If the suggested folder is not where you want to install SpeechMagic, click the Browse button to select a different folder.

Note: The destination for the SpeechMagic Server Setup on the File Server must be a folder. Installing SpeechMagic to the root folder may cause problems.

Back to SpeechMagic Server Setup - overview


System name

In this step, you enter the name of your SpeechMagic system. This name is useful if multiple SpeechMagic systems are installed in parallel.

Back to SpeechMagic Server Setup - overview


Database type

In this step, you select which database is to be used in the SpeechMagic system. The following step in the setup requires you to enter specific information on the database.

For more information, see: SpeechMagic Database.

Microsoft SQL Server 2000 and higher/MSDE

Select this option if you are using an MSDE or SQL Server environment for the SpeechMagic Database.

Go to SQL Server/MSDE

Oracle Server 9i and higher

Select this option if you are using an Oracle Server environment for the SpeechMagic Database.

Go to Oracle Server

Back to SpeechMagic Server Setup - overview


Microsoft SQL Server/MSDE

In this step, you enter information on the SQL Server/MSDE database used by SpeechMagic to connect to the database.

It is recommended that the database is created directly from within the SpeechMagic Server Setup. However you can also create it before installation (see: Creating a SpeechMagic Database).

Server

Name of the server in your network on which the database is running.

Database

Name of the database to be used by SpeecMagic.

User (dbo)

Name of a user who is the owner of the database.

Password

Password of the specified user.

Back to SpeechMagic Server Setup - overview


Oracle Server

In this step, you enter information on the Oracle Server database used by SpeechMagic to connect to the database.

It is recommended that the database is created directly from within the SpeechMagic Server Setup. However you can also create it before installation (see: Creating a SpeechMagic Database).

Oracle service name

Name of the service in your network on which the Oracle database is running.

Schema

Name of the Oracle database user.

Password

Password of the specified user.

Back to SpeechMagic Server Setup - overview


Create new database

Create new database (SQL Server/MSDE)

In this step you create a new SpeechMagic Database.

Note: It is recommended that the database is created directly from within the SpeechMagic Server Setup. However you can also create it before installation (see: Creating a SpeechMagic Database).

User (dbo - database owner account)

This is a user account with rights to access the SpeechMagic Database.

You can create a user here or use an existing user account. Enter the user name and password.

This is the user name and password specified on the SQL Server/MSDE page of the installation wizard.

Database creator (dba - database administrator account)

This is an existing user account with rights on the database server to create a database.

Enter the user name and password.

Note: For security reasons it is recommended that these 2 accounts are different.

When you click Next the SpeechMagic Database is created.

Back to SpeechMagic Server Setup - overview


Create new database (Oracle)

In this step you create a new SpeechMagic Database.

Note: It is recommended that the database is created directly from within the SpeechMagic Server Setup. However you can also create it before installation (see: Creating a SpeechMagic Database).

User (dbo - database owner account)

This is a database user account with rights to access the SpeechMagic Database.

You can create a user here or use an existing user account. Enter the user name (Schema) and password.

This is the user name (Schema) and password specified on the Oracle Server page of the installation wizard.

If the user entered here does not already exist, the database owner account will be created via the database creation process as well.

Tablespace

Here you specify the tablespace the Schema is associated with.

Temp. tablespace

Here you specify the tablespace for temporary data.

Note: The tablespace is the location where data is stored logically. For more information, see the documentation delivered with your Oracle Database.

SpeechMagic Setup automatically populates the (permanent) Tablespace and Temp. tablespace fields with the value DEFAULT. This means that the SpeechMagic system will use the Oracle default permanent tablespace and temporary tablespace names. If no default tablespace name is found the schema creation will fail.

Database creator (dba - database administrator account)

This is an existing user account with rights on the database server to create a database.

Enter the user name and password.

Note: For security reasons it is recommended that these 2 accounts are different. SpeechMagic modules use throughout the database owner account during operation. The database administrator account should only have minimal database rights. No database administrator user should be used for normal SpeechMagic operation.

When you click Next the SpeechMagic Database is created.

Back to SpeechMagic Server Setup - overview


Start copying files (Server Setup)

Here you can view your selected settings before the files are copied.

The installation type is displayed at the bottom of the dialog box. There are several types of installation.

New installation/Re-installation

  • New installation: This type indicates that you are installing SpeechMagic for the first time. This type is also displayed if you reinstall SpeechMagic after having uninstalled an old version.

  • Re-installation: This type indicates that you are updating the currently installed version.

Note: For a re-installation, SpeechMagic must be installed to the folder of your current SpeechMagic version.

Distributed installation/Stand-alone installation

  • Distributed installation: This type indicates that a distributed SpeechMagic installation is being set up. All necessary files are installed on a file server which allows the distribution of different SpeechMagic applications and tasks on several PCs in a network.

  • Stand-alone installation: This type indicates that a stand-alone SpeechMagic installation is being set up.

Important: This type of installation is for development or integration purposes only.

Back to SpeechMagic Server Setup - overview


SpeechMagic Server Setup complete

The installation wizard displays the installation progress. When the wizard has finished copying all SpeechMagic files, you are notified that SpeechMagic Server Setup is complete. You can now proceed with SpeechMagic Workstation Setup on all participating PCs.

To exit SpeechMagic Server Setup, click Finish.

Back to SpeechMagic Server Setup - overview


SpeechMagic Workstation Setup - overview

The SpeechMagic Workstation Setup must be run on every PC which is to be part of the SpeechMagic system before you start to work with SpeechMagic. If you do not complete the setup, the computer cannot run SpeechMagic.

The installation wizard has the following pages:

  1. Oracle database

  2. SpeechMagic administrator logon

  3. Workstation information

  4. Start menu options

  5. SpeechMagic components

  6. Supported word processors

  7. Control devices

  8. Serial port selection

  9. Destination folder on the Workstation

  10. Program folder

  11. SpeechMagic Windows Service Configuration

  12. Start copying files

  13. SpeechMagic Workstation Setup complete

Firewall configuration

On an operating system with a built-in firewall the Workstation Setup adds the IPC Service to the Windows XP Firewall exception list to allow network access within SpeechMagic. Additionally, file sharing and printer sharing are set to enabled in the firewall exception list.

Note: This applies to Microsoft Windows XP Service Pack 2 and higher.

See also

Starting SpeechMagic Workstation Setup


Oracle database

This page is displayed if you selected to use an Oracle database on the Database Type page of the SpeechMagic Server Setup.

In this step, you configure settings to enable access to the Oracle database.

Oracle service name

Enter the Oracle service name to be used to access the database. Your database administrator can provide this information.

Oracle ODBC driver

Select the Oracle ODBC driver to access the database.

For more information, see the documentation delivered with your Oracle database.

Back to SpeechMagic Workstation Setup - overview


SpeechMagic administrator logon

To run SpeechMagic Workstation Setup, you must be a SpeechMagic administrator.

User

Enter a SpeechMagic administrator user name.

SpeechMagic is delivered with the default user admin. This user automatically exists after SpeechMagic has been installed.

Password

Enter the SpeechMagic administrator password.

The password for the user admin is initially empty. You can assign a password later in the SpeechMagic Administration module.

Back to SpeechMagic Workstation Setup - overview


Workstation information

In this step you define a name for the SpeechMagic Workstation.

Workstation name

Enter the name of the PC.

The Workstation name must be unique within the SpeechMagic system. Example: PC246.

The following special characters are not allowed in the Workstation name: \ : * ? < > ' [ ] ; = # | „ “ ”

Description

Enter a description of the PC.

This information is optional. Example: the name of a person, a PC number, an assigned task such as Dictation 1.

Back to SpeechMagic Workstation Setup - overview


Start menu options

In this step you decide for which SpeechMagic applications a shortcut should be available on the Start menu (Start menu, Programs, SpeechMagic) of the specific Workstation.

Select the corresponding check box to make the following options available:

  • Initial Training

  • Dictation Editor

  • Correction Manager

  • ConText Adaptation

  • Administration

  • Workstation Setup

  • Shortcut to SpeechMagic tools

For a description of these applications, see: SpeechMagic applications.

For more information on working with SpeechMagic applications, see the SpeechMagic Online Help after Workstation Setup.

ActiveX Controls

SpeechMagic Workstation Setup automatically installs and registers ActiveX Controls for SpeechMagic applications and for programming with ActiveX.

Back to SpeechMagic Workstation Setup - overview


SpeechMagic components

In this step you decide which SpeechMagic components to install.

InterActive

If you select this option, SpeechMagic will support applications based on the SpeechMagic InterActive SDK.

Recorder

Select this option to install the SpeechMagic Recorder application for recording, editing and playing back sound files, as well as submitting dictations for speech recognition.

Back to SpeechMagic Workstation Setup - overview


Supported word processors

In this step you decide which word processor to use with the SpeechMagic Dictation Editor and Correction Editor.

Note: You must have the latest service pack, for the selected word processor, applied before installing SpeechMagic Workstation. For more information, see: Software requirements.

All word processors available on your PC for which SpeechMagic provides Dictation Editor and Correction Editor support are listed; activate the corresponding check box. Alternatively, if you do not want to use one of the word processors listed, select No support.

Example: Microsoft Word 2000 - If you select this option, Microsoft Word 2000 will be used as Correction Editor and Dictation Editor.

Note: The language of the word processor you want to use must be one of the languages supported by SpeechMagic.

For a description of the Dictation Editor and Correction Editor, see: SpeechMagic applications.

For more information on working with the Dictation Editor and Correction Editor, see the SpeechMagic Online Help after Workstation Setup.

Note: If Microsoft Word is installed on the PC but has never been started, Workstation Setup cannot list it as a word processor available on your PC. If this is the case, start Word at least once before restarting Workstation Setup.

Back to SpeechMagic Workstation Setup - overview


Control devices

In this step you decide which serial control device(s) you want to be able to use on this SpeechMagic Workstation. Make your choice according to the hardware of your PC.

Important: USB device drivers are automatically installed.

In general, a serial device must be connected to the PC before you run SpeechMagic Workstation Setup. This is also recommended for the SpeechMike Pro USB and SpeechMike Classic USB, although it is not required.

Note: If you install new hardware later, you must rerun SpeechMagic Workstation Setup on this PC and select the required drivers.

For more information, refer to the documentation delivered with the device.

If you are using a serial device you must select it here:

SpeechMike Pro or SpeechMike

Select this option to install the device driver for SpeechMike Pro or SpeechMike and SpeechMike II range (Philips and International versions).

The SpeechMike is a professional multimedia input device which is a combination of microphone, loudspeakers and trackball; the SpeechMike Pro additionally features buttons for Record, Play, Fast Rewind and Fast Forward.

SpeechMike Classic

Select this option to install the device driver for SpeechMike Classic. These professional multimedia input devices provide a 4-Position Switch.

Foot Control with serial port adapter

Select this option to install the device driver for the Foot Control with serial port adapter. The Foot Control is a professional device for the hands-free control of playback during transcription sessions; it is connected to a serial port. If you select this option and click Next, another dialog box will appear for you to select a serial port: COM1 or COM2 (as available).

Control devices in SpeechMagic Workstation maintenance

If you modify a SpeechMagic Workstation and deselect a serial control device, the corresponding device driver will be uninstalled from the Workstation.

See: SpeechMagic Workstation maintenance.

Back to SpeechMagic Workstation Setup - overview


Serial port selection

In this step you decide which serial port (COM1 or COM2) will be used to connect the Foot Control to the PC.

Back to SpeechMagic Workstation Setup - overview


Destination folder on the Workstation (local root)

In a SpeechMagic environment, all data is stored on the File Server. Some files must also be copied locally to the hard disk of the Workstation, especially SpeechMagic program files.

SpeechMagic Workstation Setup suggests a local destination folder for the installation. If the suggested folder is not where you want to install SpeechMagic, click the Browse button to select a different folder.

Note: The destination for the SpeechMagic Workstation must be a folder on the local hard disk. Installing the Workstation to a removable drive will cause problems.

Back to SpeechMagic Workstation Setup - overview


Program folder

The installation wizard suggests a name for the SpeechMagic program folder. You can accept the suggested program folder name, select an existing folder or type a new name.

Back to SpeechMagic Workstation Setup - overview


SpeechMagic Windows Service Configuration

SpeechMagic installs a service called SpeechMagic Service on your operating system. This service starts automatically when the PC is started. This service is used for controlling SpeechMagic System Tasks.

For more information on how the service works, see:

SpeechMagic Windows Service

SpeechMagic System Tasks

In this step, you enter logon information for the SpeechMagic Service. The service will be started automatically when you start up the PC using this logon information.

For more information on the access rights this user requires, see: Operating system access rights.

Logon name

Here you enter a Windows user name. You must use the convention Domain name\Logon name.

Password

Here you enter the password for this user.

Confirm password

Here you re-type the password.

Automatically deploy SpeechMagic updates on this Workstation

If you select this option, when updates are available and the PC is started the SpeechMagic Service automatically updates SpeechMagic (program files, binaries, etc.) on this Workstation.

Back to SpeechMagic Workstation Setup - overview


Start copying files (Workstation Setup)

Here you can view your selected settings before the files are copied.

All configuration settings are listed. If you want to change the settings, click Back; if you are satisfied with the settings, click Next.

Back to SpeechMagic Workstation Setup - overview


SpeechMagic Workstation Setup complete

The installation wizard displays the installation progress. When the wizard has finished, you are notified that SpeechMagic Workstation Setup is complete. You might be prompted to restart your computer. Otherwise, some SpeechMagic components may not work correctly.

To exit SpeechMagic Workstation Setup, click Finish.

You can continue installing SpeechMagic Workstation on all other participating PCs.

When all Workstations are ready, open SpeechMagic Administration and configure all necessary settings and assignments. For more information, see the SpeechMagic Online Help.

Environment variables

After Workstation Setup has been completed the SpeechMagic environment variables are not accessible (or updated) until the user logs off and on again. Therefore, an error message might be displayed when using applications that depend on these variables. For more information on the SpeechMagic environment variables, see the SpeechMagic SDK Online Help.

Back to SpeechMagic Workstation Setup - overview


SpeechMagic Workstation Setup maintenance

SpeechMagic enables you to carry out maintenance tasks for a SpeechMagic Workstation. You can modify settings previously made in the SpeechMagic Workstation Setup or remove the SpeechMagic Workstation from the PC and the SpeechMagic system completely. The operating system user who is logged on must be an operating system administrator. Additionally, SpeechMagic Workstation Setup modification and removal requires SpeechMagic administrator rights.

Before removing a Workstation from the SpeechMagic system, please be aware that removing it will have the following consequences:

  • References in the SpeechMagic Database to this Workstation will be removed.

  • SpeechMagic program and support files will be removed from your local hard disk.

  • The SpeechMagic program folder and its shortcuts will be removed.

Note: Removing the Workstation will not affect the SpeechMagic Server part of your installation. This means that no user data or ConTexts will be deleted.

Starting maintenance

You have the following options for displaying the SpeechMagic Workstation Maintenance page:

  • Go to the Start menu, Programs, SpeechMagic and select Workstation Setup.

Note: This option is only available if you have selected the corresponding Workstation application during the initial Workstation Setup.

  • Start the setup.exe from the WsSetup\<language> subfolder of the SpeechMagic folder on the File Server (<language> stands for the user interface language of your choice).

  • Via the Windows Control Panel. Proceed as follows:

  1. Go to the Start menu and select Settings, Control Panel.

  2. Double-click Add/Remove Programs.

  3. Select SpeechMagic Workstation 6.1 and click Add/Remove (or Change/Remove).

The SpeechMagic Windows Service must be stopped before you can proceed with SpeechMagic Workstation maintenance. If it is not, a message is displayed explaining the situation. Click Yes to stop the service and proceed with the maintenance.

Maintenance

When the SpeechMagic Workstation Maintenance page is displayed, select one of the following:

  • Modify - SpeechMagic Workstation Setup will be restarted; you can make the required changes.

  • Remove - the Workstation will be removed completely when you proceed.

Click Next to proceed and then follow the wizard pages. When you are finished you might be asked to restart the PC.

Important: Do not remove a Workstation by simply deleting files from your hard disk. This will lead to inconsistencies in the SpeechMagic configuration and may cause problems if a Workstation is reinstalled on this PC.

Note: If it is not possible to uninstall a SpeechMagic Workstation due to PC hardware failure you can remove the Workstation in the SpeechMagic Administration application. This procedure will remove all references to the Workstation from the SpeechMagic Database. For more information, see the SpeechMagic Online Help.

See also

SpeechMagic Server Setup maintenance

Troubleshooting - uninstalling SpeechMagic


SpeechMagic Server Setup maintenance

SpeechMagic enables you to carry out maintenance tasks for the SpeechMagic Server Setup. You can repair or remove the SpeechMagic Server Setup. This must be done on the same PC from where you previously executed the SpeechMagic Server Setup. Make sure that all SpeechMagic Workstations have been removed before you start removing the SpeechMagic File Server. The operating system user who is logged on must be an operating system administrator. Additionally, SpeechMagic Server Setup modification and removal requires SpeechMagic administrator rights.

Removing the SpeechMagic File Server removes all SpeechMagic data: program files, the SpeechMagic Database, SpeechMagic users, ConTexts, Background Lexicons, acoustic reference files, etc. Repairing it can include changing the license key, and replacing old or missing files and server-side folders.

Starting maintenance

You have the following options for displaying the SpeechMagic File Server Maintenance page:

  • Start the setup.exe from the SpeechMagic installation CD.

  • Via the Windows Control Panel. Proceed as follows:

  1. Go to the Start menu and select Settings, Control Panel.

  2. Double-click Add/Remove Programs.

  3. Select SpeechMagic File Server 6.1 and click Add/Remove (or Change/Remove).

Maintenance

When the SpeechMagic File Server Maintenance page is displayed, select one of the following:

  • Repair - SpeechMagic Server Setup will be restarted; you can make the required changes.

  • Remove - SpeechMagic will be removed completely when you proceed. Make sure that you have all relevant information (server name, owner, etc.) about the SpeechMagic Database.

Click Next to proceed and then follow the wizard pages. When you are finished you might be asked to restart the PC.

Important: Do not remove the SpeechMagic system by simply deleting files from your hard disk. This will lead to inconsistencies.

See also

SpeechMagic Workstation Setup maintenance

Troubleshooting - uninstalling SpeechMagic


Troubleshooting - uninstalling SpeechMagic

SpeechMagic Server Setup and SpeechMagic Workstation Setup check if there are any SpeechMagic applications still running. It is possible (although rare) that although no SpeechMagic applications are running, not all traces have been removed and the system assumes that something is still running. Additionally, it could also be the case that the administrator performing the uninstallation is not aware of all SpeechMagic applications. The procedure outlined below aides in the resolution of issues that prevent uninstallation.

If you are uninstalling a Workstation all SpeechMagic applications (including System Tasks) running on that Workstation must be shut down prior to starting the uninstallation process. If you are uninstalling the SpeechMagic File Server all SpeechMagic applications (including System Tasks) running in the system must be shut down prior to starting the uninstallation process. If during the uninstallation process a message is displayed indicating that something is still running, do the following:

  1. Identify all running SpeechMagic applications using the Database Recovery tool. Open the Database Recovery tool and display the Task Recovery dialog box. All running SpeechMagic applications are listed with the name of the Workstation on which they are running. On all relevant Workstations, close the running applications. Restart the uninstallation process.

Important: Do not just delete the task entries in the Database Recovery tool.

  2. If uninstallation is still not possible, open the Database Recovery tool and display the Task Recovery dialog box. Select the relevant applications then go to the Edit menu and select Delete. Restart the uninstallation process. For Workstation uninstallation, all task entries related to that Workstation must be deleted. For File Server uninstallation all entries must be deleted.

For more information on the Database Recovery tool, see the SpeechMagic Online Help.

  3. If uninstallation is still not possible it could be because some 'orphaned' files (files which have been left open) exist on the SpeechMagic File Server. On the PC hosting the SpeechMagic system root, check for open files related to SpeechMagic . This can be done via the Computer Management window. Go to the Start menu, Settings, Control Panel, Administrative Tools, Computer Management. Browse for System Tools, Shared Folders, Sessions. The Open Files column lists files which are open in the system and the Computer column lists the names of the PCs on which the file was opened. Identify the SpeechMagic Workstations which have open SpeechMagic-related files. On those PCs check, via the Task Manager, for SpeechMagic applications which are running and close those applications or shut down the PCs completely. Restart the uninstallation process.

Note: You can also list the files using the command line parameter: net files

  4. If uninstallation is still not possible, close all open SpeechMagic related files on the SpeechMagic File Server via the Computer Management window or the command line. Restart the uninstallation process.

See also

SpeechMagic Workstation Setup maintenance

SpeechMagic Server Setup maintenance


Removing the Workstation manually

If SpeechMagic Workstation Setup is not completed successfully it is possible that some data is created which will interfere with subsequent SpeechMagic Setups. It is important to remove such data before starting a new SpeechMagic Workstation Setup. Proceed as follows:

  1. Delete the related InstallShield information from the PC:

Browse for the following folder (by default on the C drive): Program Files\InstallShield Installation Information and delete the subfolder: {3D415564-8CD0-4652-898B-4AA1E1D198EC}.

  2. Unregister ActiveX controls (this step is optional).

Open the command line window from the local SpeechMagic BIN folder and enter:

regsvr32 /u smxauth.dll

regsvr32 /u SmXJob.dll

regsvr32 /u SmXActn.dll

  3. Delete the following keys from the Registry Editor:

HKEY_CURRENT_USER\Software\Philips Speech\SpeechMagic

HKEY_LOCAL_MACHINE\Software\Philips Speech\SpeechMagic

  4. Remove the Workstation name and ID from the SpeechMagic Database (this step is optional).

Note: For this step you must use a database editor: SQL Server Enterprise Manager or Oracle Enterprise Manager Console.

Using the database editor, delete from the SmWorkstation table, in the SpeechMagic Database, the record that is identified by the Workstation name and ID found in the Registry.

Important: If you do not do steps 2 and 4 you must make sure that you enter a new, unique Workstation name during any subsequent SpeechMagic Setup.


Moving the SpeechMagic system root

Proceed as follows:

  1. Make sure the SpeechMagic system is at standstill:

Stop the SpeechMagic Windows Service on all Workstations (for more information, see: Starting and stopping SpeechMagic Services).

Shut down all SpeechMagic applications on all Workstations.

Make sure no files are open on the SpeechMagic File Server (for more information, see:Checking for open files on a File Server).

Make sure no SpeechMagic Database connections are active in the DBMS. For more information on how to check for open connections, see the documentation delivered with the DBMS.

  2. Copy the SpeechMagic folder from the SpeechMagic File Server to the new location. The SpeechMagic folder is also referred to as the SpeechMagic system root.

  3. Rename the original SpeechMagic folder to prevent any problems.

  4. Update the location of the SpeechMagic folder in the SpeechMagic Database.

To do this, open the SmSystem table of the SpeechMagic Database and edit the location specified in the systemRoot field. Enter the full path of the new SpeechMagic folder in UNC, for example:

Example 1:

\\srvvie0nk\sharepoint\SpeechMagicV610

server: srvvie0nk

share: sharepoint

Example 2 (with a hidden share):

\\srvviet0v\data$\SpeechMagicV610_Cluster1

server: srvviet0v

share: data$

  5. If you are using SpeechMagic interface drivers, you must update the full path of your interface driver DLLs in the SpeechMagic Database.

To do this, open the SmHost table of the SpeechMagic Database and edit the dllDriver field. Enter the full path of the interface driver DLL. This must be done for all IFDs used.

  6. Run the Workstation Setup for all SpeechMagic PCs from the new SpeechMagic folder:

\\<Server>\<share>\<SpeechMagicFolder>\WSSETUP\<language>\Setup.exe

  7. When the SpeechMagic Workstation Setup wizard starts, select Modify. The Workstation Setup will update all the registry entries as required.

Note: It is not possible to update the SpeechMagic registry entries manually on the SpeechMagic Workstations.

  8. On the PC where the SpeechMagic Server Setup was originally executed, update the following registry keys:

Change the value HKEY_LOCAL_MACHINE\SOFTWARE\Philips Speech\SpeechMagic\BackEnd\Default to the same value as in HKEY_LOCAL_MACHINE\SOFTWARE\Philips Speech\SpeechMagic\BackEnd\6.1.0\SystemRoot (this is the new system root folder).

In [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{853BFA27-5EB3-4DAE-BD06-FB25B0C352BB}] update the values InstallLocation and DisplayIcon so that they refer to the new SpeechMagic system root folder.

This will enable further modify/repair/upgrade of your SpeechMagic system.

Important: If you edit the registry incorrectly you might damage SpeechMagic or the whole operating system. Before editing the registry, make a backup copy of the registry and make sure that you know how to restore a backed-up copy of the registry in case a problem occurs.

See also

SpeechMagic Database maintenance


SpeechMagic Database maintenance

Moving the SpeechMagic Database

Proceed as follows:

  1. Install another instance of the DBMS.

  2. Shut down all SpeechMagic Workstations.

  3. Make sure no SpeechMagic Database connections are active in the DBMS.

  4. Export the SpeechMagic Database from the DBMS (using the DBMS functionality).

  5. Import the SpeechMagic Database into the new DBMS (using the DBMS functionality).

  6. Update the location of the SpeechMagic Database in the SMDB.ini file (in the DATA folder under the SpeechMagic system root).

Changing SpeechMagic Database properties

You can change the database owner (dbo) and the dbo password. Proceed as follows:

  1. Shut down all SpeechMagic Workstations.

  2. In the DBMS change the dbo of the SpeechMagic database and/or the dbo password.

  3. Update the corresponding information in the SMDB.ini file (in the DATA folder under the SpeechMagic system root).

Note: Provide the new password in plain text. The next time a SpeechMagic application accesses the SpeechMagic Database the password will be automatically encrypted.

For more information on database maintenance, see the documentation delivered with the DBMS:

  • How to check open database connections.

  • How to export a database.

  • How to import a database.

See also

Moving the SpeechMagic system root


Checking for open files on a File Server

There are a variety of options to check for open files on the File Server:

  • Log on to the file server. Go to the Start menu, Run and enter cmd. Enter the command line parameter: net files. In the displayed list check for files in the SpeechMagic system root folder.

  • Log on to the file server. Go to the Start menu, Control Panel, Administrative Tools and select Computer Management. Expand System Tools, Shared Folders, Open Files. In the displayed list check for files in the SpeechMagic system root folder.

See also

Moving the SpeechMagic File system root

SpeechMagic Database maintenance


Backing up and restoring SpeechMagic - overview

Backing up your SpeechMagic system safeguards against loss of data if it becomes corrupted. A SpeechMagic backup consists of two parts. It includes the SpeechMagic system root and the SpeechMagic Database. You can perform the backup in a SpeechMagic system that is running or at standstill.

The following restore scenarios are supported:

  • Recover from complete loss of data under the SpeechMagic system root.

  • Recover from the complete loss of the SpeechMagic Database.

  • Recover from partial data loss.

This help does not include a general discussion of backup; as in, full backup versus incremental backup, backup of further integration related data, etc.

For more information, see:

Backup procedure for a running SpeechMagic system

Backup procedure for a SpeechMagic system at standstill

Restore procedure

Restore procedure for specific SpeechMagic data

Requirements

The backup of the SpeechMagic system root and the SpeechMagic Database must be taken at the same time to minimise deviations.

For a consistent backup in a system at standstill, your backup approach must:

  • Be capable of backing up all files, including attributes.

  • Be capable of backing up the database, including all rights.

For a consistent backup in a running system, your backup approach must:

  • Be capable of backing up all files, including attributes.

  • Be capable of backing up the database, including all rights.

  • Not interfere with SpeechMagic operations (for example, file open, file close, file write, file read). This means that if the backup software is currently working on a file and SpeechMagic requests/has access to this file, the SpeechMagic request/file operation must take place as if the backup procedure is not working on the file.

  • The backup of the SpeechMagic system root must be done via file system snapshot to guarantee the root consistency of SpeechMagic files within the SpeechMagic system root, as well as the consistency of SpeechMagic files within the system root and the SpeechMagic Database (for example, Volume Shadow Copy Service - VSS - as supported in Microsoft Windows 2003 Server, allows this).

SpeechMagic system consistency

It is essential that a SpeechMagic system is consistent in itself. SpeechMagic includes the System Check tool (SmSystemCheck.exe) which can be used to check the consistency of the system, as well as aid in repairing SpeechMagic.

Note: This tool is currently not available. It will be included in a future SpeechMagic service pack.


Backup procedure for a running SpeechMagic system

SpeechMagic can be used fully during the backup procedure.

Proceed as follows:

  1. Backup the SpeechMagic system root using a snapshot approach.

  2. To back up the SpeechMagic Database, use the backup functionality in the DBMS (for more information, see the documentation delivered with the DBMS).

Important: The backup of the SpeechMagic system root and the SpeechMagic Database must be taken at the same time to minimise deviations.

There are a variety of methods for using a snapshot approach. Using the Microsoft Volume Shadow Copy Service (VSS) to back up SpeechMagic is one way to achieve this. For more information on using Microsoft VSS, go to: http://support.microsoft.com/search/ and search for the keywords Volume Shadow Copy Service.

Remarks

  • Full and/or incremental backups can be done.

  • Your integration can start the backup procedure automatically.

  • The SpeechMagic system can be used during the backup procedure.

See also

Backing up and restoring - overview

Backing up a system at standstill


Backup procedure for a SpeechMagic system at standstill

SpeechMagic backup and your integration, preconditions:

  • No SpeechMagic applications running.

  • No files open under the SpeechMagic system root.

Proceed as follows:

  1. Make sure the SpeechMagic system is at standstill:

Stop the SpeechMagic Windows Service on all Workstations (for more information, see: Starting and stopping SpeechMagic Services).

Shut down all SpeechMagic applications on all Workstations.

Note: These constraints ensure that there are no open files on the SpeechMagic File Server (for more information, see: Checking for open files on a File Server).

Note: These constraints ensure that there are no active SpeechMagic Database connections.

  2. Backup the SpeechMagic system root. The procedure will depend on your backup strategy.

Note: This can take some time.

  3. To back up the SpeechMagic Database, use the backup functionality in the DBMS (for more information, see the documentation delivered with the DBMS).

  4. Restart all SpeechMagic Windows Services and applications.

All users can continue working.

Remarks

  • Full and/or incremental backups can be done.

  • The backup will be consistent.

  • Manual intervention might be necessary. For example, manually closing SpeechMagic applications which are running.

  • The SpeechMagic system cannot be used during the backup procedure.

See also

Backup procedure for a running SpeechMagic system

Restore procedure

Restore procedure for specific SpeechMagic data


Restore procedure

It is possible to recover from a lost database or a lost file server or from both. Proceed as follows:

  1. Make sure the SpeechMagic system is at standstill:

Stop the SpeechMagic Windows Service on all Workstations (for more information, see: Starting and stopping SpeechMagic Services).

Shut down all SpeechMagic applications on all Workstations.

Note: These constraints ensure that there are no open files on the SpeechMagic File Server (for more information, see: Checking for open files on a File Server).

Note: These constraints ensure that there are no active SpeechMagic Database connections.

  2. Make a copy of the current File Server system root and the current SpeechMagic Database.

Note: This copy is for insurance purposes. It can be used if there are problems during the restore procedure or to identify changes since the last consistent back up.

  3. Remove all data under the SpeechMagic system root and all data from the SpeechMagic Database.

Note: The system must be clean before the restore procedure continues.

  4. Restore SpeechMagic system root backup. The procedure will depend on your backup strategy.

  5. To restore the SpeechMagic Database, use the restore functionality in the DBMS (for more information, see the documentation delivered with the DBMS).

  6. Re-execute any changes to the SpeechMagic system done after the backup was created. For example, installed Language Packages, ConTexts, users, assignments.

  7. Make sure that the integration application is synchronized with SpeechMagic (ConTexts, users, assignments, dictations, etc.).

  8. Use the SpeechMagic System Check tool to ensure the SpeechMagic system is consistent.

All users can continue working.

Note: If you restore to a new destination and/or a different database, see: Moving the SpeechMagic system root for information on how to change the system root and how to change DBMS details.

Remarks

  • It is possible to restore only the File Server, you must still ensure the restored system is consistent.

  • It is possible to restore only the Database, you must still ensure the restored system is consistent.


Restore procedure for specific SpeechMagic data

This topic explains how to resolve the following problems:

  • Dictation related: Corrupt/missing doc.sm

  • Dictation related: Corrupt/missing sound.wav

  • User related: Corrupt/missing ARF

  • User related: Corrupt/missing ULM

  • ConText related: Corrupt/missing ULX

  • ConText related: Corrupt/missing ILM

  • ConText related: Corrupt/missing FRM

  • Language Package related: Corrupt/missing BgLex.dat

  • System related: Corrupt/missing psplic.ini

  • System related: Corrupt/missing smsys.dat

  • System related: Corrupt/locked ipcadr.ini

  • System related: Corrupt/missing smipc.ini

  • Database related: Corrupt/missing smdb.ini

  • Database related: Missing Language Package in database

  • Database related: Dictations which are present on the file server but missing in the database

  • Database related: Dictations which are present in the database but missing on the file server

  • Database related: Database inconsistencies between tables

  • Database related: Missing ConText in database

  • Database related: Missing user in database

Resolution options for a corrupt/missing doc.sm

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Use the SpeechMagic Database Recovery tool (SmDbRcvr.exe) to set the dictation status to PURGE_PENDING.

Option 3 - manual repair procedure:

Locate and copy the doc.sm (<GUID.sm>) from the backup. Synchronize the SpeechMagic Database name of doc.sm (<GUID>.sm: SmDictation table's resultFileName field; the dictation folder name is in the folderName field - relative to the system root), ensure the contents of doc.sm (<GUID>.sm) reflect the SpeechMagic Database status and correct the SpeechMagic Database status as necessary (SmDictation table's dictationStatus field). For more information on this procedure, contact PSRS Professional Services.

Option 4 - manual repair procedure:

Delete the dictation folder from the SpeechMagic File Server. Delete the dictation from the SpeechMagic Database (SmDictation table).

Back to top

Resolution options for a corrupt/missing sound.wav

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Use the SpeechMagic Database Recovery tool (SmDbRcvr.exe) to set the dictation status to PURGE_PENDING.

Option 3 - manual repair procedure:

Locate and copy the sound.wav from the backup. For more information on this procedure, contact PSRS Professional Services.

Option 4 - manual repair procedure:

Delete the dictation folder from the SpeechMagic File Server. Delete the dictation from the SpeechMagic Database (SmDictation table).

Back to top

Resolution options for dictations which are present on the file server but missing in the database

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Optionally, re-queue the dictation. Delete the dictation's folder from the SpeechMagic File Server.

Option 3 - manual repair procedure:

Manually re-create the dictation in the SpeechMagic Database and rename the dictation's folder on the SpeechMagic File Server accordingly. Please note that this option is not recommended.

Back to top

Resolution options for dictations which are present in the database but missing on the file server

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Delete the dictation from the SpeechMagic Database (SmDictation table).

Option 3 - manual repair procedure:

Locate and copy the doc.sm (<GUID.sm>) and the sound.wav from the backup. For more information on this procedure, contact PSRS Professional Services.

Back to top

Resolution options for a corrupt/missing ARF

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Locate and copy the ARF from the backup. For more information on this procedure, contact PSRS Professional Services.

Option 3 - manual repair procedure:

Reset the ARF via SMAPI; implies loss of all adaptation data related to this user's input channel. If your integration cannot assist in this procedure, TSMAPI.EXE can be used as a workaround.

Back to top

Resolution options for a corrupt/missing ULM

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Locate and copy the ULM from the backup. For more information on this procedure, contact PSRS Professional Services.

Option 3 - manual repair procedure:

Reset the ULM via SMAPI; implies loss of all adaptation data. If your integration cannot assist in this procedure, TSMAPI.EXE can be used as a workaround.

Note: Restoring the ULM is only possible if the ULM reorganization counter corresponds to the ULX reorganization counter, if they do not match it is only possible to reset the ULM.

Back to top

Resolution options for a corrupt/missing ULX

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Locate and copy the ULX and FRM from the backup, all related ULMs must be reset. For more information on this procedure, contact PSRS Professional Services.

Note: Any ConText customization list which was applied between the backup and the restore procedure must be re-applied.

Back to top

Resolution options for a corrupt/missing ILM

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Locate and copy the ILM from the backup. For more information on this procedure, contact PSRS Professional Services.

Note: Any ConText customization list which was applied between the backup and the restore procedure must be re-applied.

Back to top

Resolution options for a corrupt/missing FRM

Option 1 - SpeechMagic System Check tool repair procedure:

The SpeechMagic System Check tool will be available in a future service pack of SpeechMagic.

Option 2 - manual repair procedure:

Locate and copy the FRM and ULX from the backup, all related ULMs must be reset. For more information on this procedure, contact PSRS Professional Services.

Note: Any ConText customization list which was applied between the backup and the restore procedure must be re-applied.

Back to top

Resolution options for a corrupt/missing BgLex.dat

Option 1 - manual repair procedure:

Re-install the Language Package via SpeechMagic Administration or SMAPI.

Option 2 - manual repair procedure:

Locate and copy the BgLex.dat from the backup. For more information on this procedure, contact PSRS Professional Services.

Back to top

Resolution option for a missing Language Package in database

Option 1 - manual repair procedure:

Re-install the Language Package via SpeechMagic Administration or SMAPI.

Back to top

Resolution option for a corrupt/missing psplic.ini

Option 1 - manual repair procedure:

Locate and copy the psplic.ini from the backup. If you changed license information after the backup has been done, contact PSRS Professional Services.

Back to top

Resolution option for a corrupt/missing smsys.dat

Option 1 - manual repair procedure:

Locate and copy the smsys.dat from the backup. Any system setting changes, done after the backup was created, have to be re-executed.

Back to top

Resolution option for a corrupt/missing smdb.ini

Option 1 - manual repair procedure:

Locate and copy the Smdb.ini from the backup. For more information on this procedure, contact PSRS Professional Services.

Back to top

Resolution option for a corrupt/missing smipc.ini

Option 1 - manual repair procedure:

Locate and copy the smipc.ini from the backup. For more information on this procedure, contact PSRS Professional Services.

Back to top

Resolution option for a corrupt/locked smipcadr.ini

Option 1 - manual repair procedure:

Delete the file.

Back to top


Upgrading SpeechMagic - overview

SpeechMagic provides functionality for transferring data from one SpeechMagic system to another. This is done via the SpeechMagic Upgrade tools. The following data transfers are possible:

  • From a SpeechMagic 5.1 SR1 SP4 (or higher) system to a SpeechMagic 6.1 system. For details, see: Upgrading from SpeechMagic 5.1 SR1 to SpeechMagic 6.1.

  • From a SpeechMagic 6.1 system to another SpeechMagic 6.1 system. For details, see: Transferring data from SpeechMagic 6.1 to SpeechMagic 6.1.

Note: Upgrading from versions earlier than SpeechMagic 5.1 SR1 SP4 is not possible using the SpeechMagic Upgrade tool. The most recent service pack must be applied to the source system.

The upgrade process is designed in such a way that the new system is set up (including Language Packages and ConTexts) and then the upgrade process takes two steps and needs two tools. It is also possible to upgrade InterActive for SpeechMagic.

The upgrade tools are available in English only and can be found on the SpeechMagic CD: go to the Tools folder, SmUpgrade subfolder. The following applications are available:

  1. SmUpgrade_Step1_ExportFrom_V5.1SR1_SP4.exe - this is for exporting data from a SpeechMagic 5.1 SR1 source system.

SmUpgrade_Step1_ExportFrom_V6.1.exe - this is for exporting data from a SpeechMagic 6.1 source system.

In the first step, you run one of these applications in the source system (depending on the version of the source system) and decide which data is to be transferred. The data is exported from the source system to a temporary location.

Important: Read preparing your source system first.

  2. SmUpgrade_Step2_ImportInto_V6.1.exe - this is for importing data into the destination system.

In the second step, you run this application in the destination system. The data is imported from the temporary location to the new system.

Important: Read preparing your destination system first.

For an explanation of the settings in the tools, see:

SpeechMagic Upgrade tool - exporting data

SpeechMagic Upgrade tool - importing data

For reference information, see: Data which can/cannot be transferred.


Preparing your source system

Good preparation before you start working with the SpeechMagic Upgrade tool is essential. It is recommended that you:

  • Complete ConText Adaptation before starting the upgrade process. Open ConText Adaptation and handle all unknown words and unknown grammar items. Dictations and words that are currently being processed in ConText Adaptation will not be transferred. For more information, see the "ConText Adaptation" book in the SpeechMagic Online Help.

  • Make sure that the source system is at standstill:

Stop all SpeechMagic Windows Services (SpeechMagic 6.1 systems).

Shut down all SpeechMagic applications on all Workstations. To check this, use the SpeechMagic Database Recovery tool.

Make sure no files are open on the SpeechMagic File Server.

Make sure no SpeechMagic Database connections are active in the DBMS. For more information on how to check for open connections, see the documentation delivered with the DBMS.

Note: Step 1 of the upgrade tool will not start if any applications are running on any SpeechMagic Workstation.

  • Make sure that the source system is consistent. If inconsistencies are reported, it is important to fix them before starting the upgrade process.

In SpeechMagic 5.1 SR1 use the SmAutoDB.exe tool.

In SpeechMagic 6.1 use the SmSystemCheck.exe tool.

  • Back up the source system (including the SpeechMagic File Server and Database) to a safe storage medium.

  • Copy the upgrade application to the local BIN folder of the source system (%SMLOCALROOT%\BIN):

If the source system is SpeechMagic 5.1 SR1, copy SmUpgrade_Step1_ExportFrom_V5.1SR1_SP4.exe.

If the source system is SpeechMagic 6.1, copy SmUpgrade_Step1_ExportFrom_V6.1.exe.

Remarks

It can be useful to select one Workstation to run both upgrade tools on, especially if you have a large system. This can minimise the impact of the upgrade process on users. Make sure that this Workstation will not be needed to access the source system because once you have completed step 1 of the upgrade process on the Workstation, you will need to uninstall the source system from this Workstation and install the destination system on it.

Once you have started the upgrade process users can continue to work in the source system. The source system will be functional until you uninstall it. This means that if it is not possible to complete the upgrade of the new system immediately, users are not impeded in their work.

Go to preparing your destination system.


Preparing your destination system

Good preparation before you start working with the SpeechMagic Upgrade tool is essential. It is recommended that you:

  • Have already ordered and received a system license key for the destination system.

Important: SpeechMagic 5.1 system license keys do not work for SpeechMagic 6.1.

You need a system license key which covers at least the same number of users as the number of users to be transferred. If you plan to increase the number of users in the SpeechMagic system make sure your new license key takes the planned number into account.

  • Have already ordered and received ConText license keys for the destination system.

Important: You can use the ConText license keys you used in SpeechMagic 5.1 for SpeechMagic 6.1.

You need ConText license keys for all ConTexts that are assigned to users. The ConText license must cover at least the same number of users who are assigned to the ConTexts. If, in the destination system, you plan to increase the number of users assigned to certain ConTexts, make sure your new licenses keys take the planned number into account.

For more information, contact your vendor.

  • If your planned destination system is a new, 'clean' SpeechMagic 6.1 system, install it using the standard procedure:

Install the SpeechMagic destination system (make sure to select a different root folder on the file server than the source system).

Install at least one SpeechMagic Workstation in the destination system.

Install the required Language Packages and all ConTexts that were used in the source system and that you want to use in the destination system. Be sure to use the latest available version. For more information, see the "SpeechMagic Administration" book in the SpeechMagic Online Help.

Install the required interface drivers. For more information on integration related issues, see the documentation on your integration.

Important: The best practice is to perform the upgrade process on a new system right after installation, so that no users, no dictations and no adaptation data exist in the destination system.

  • If your planned destination system is already in use, use the SpeechMagic System Check tool (SmSystemCheck.exe) to make sure that it is consistent.

All conflicts must be resolved before step 2 of the upgrade process can be accomplished. As you proceed through the pages of the upgrade tool you will receive messages if there are any conflicts. You must cancel step 2 of the upgrade process, resolve any conflicts and start step 2 of the upgrade process again.

  • Make sure that the destination system is at standstill:

Stop all SpeechMagic Windows Services.

Shut down all SpeechMagic applications on all Workstations. To check this, use the SpeechMagic Database Recovery tool.

Make sure no files are open on the SpeechMagic File Server.

Make sure no SpeechMagic Database connections are active in the DBMS. For more information on how to check for open connections, see the documentation delivered with the DBMS.

Note: Step 2 of the upgrade tool will not start if any applications are running on any SpeechMagic Workstation.

  • If the destination system is already in use, back it up (including the SpeechMagic File Server and Database) to a safe storage medium.

  • Copy the SmUpgrade_Step2_ImportInto_V6.1.exe file to the local BIN folder of the SpeechMagic 6.1 destination system (%SMLOCALROOT%\BIN).

See also

Preparing your source system


Upgrading from SpeechMagic 5.1 SR1 to SpeechMagic 6.1

Proceed as follows:

  1. Make sure you have followed all the recommendations in preparing your source system.

  2. Log on to a SpeechMagic 5.1 SR1 Workstation.

  3. Double-click SmUpgrade_Step1_ExportFrom_V5.1SR1_SP4.exe in the local BIN folder of the source system. The SpeechMagic Upgrade tool is opened.

  4. Follow the instructions on each page of the tool (for more information, see: SpeechMagic Upgrade tool - exporting data). When you are satisfied with each page, click Next to continue.

  5. If the same PC is used for both steps of the upgrade process uninstall the source system Workstation.

  6. Install SpeechMagic 6.1 including at least one Workstation; make sure you have followed all the recommendations in preparing your destination system.

  7. Double-click SmUpgrade_Step2_ImportInto_V6.1.exe in the local BIN folder of the destination system. The SpeechMagic Upgrade tool is opened.

  8. Follow the instructions on each page of the tool (for more information, see: SpeechMagic Upgrade tool - importing data). When you are satisfied with each page, click Next to continue.

  9. Use the System Check tool (SmSystemCheck.exe) to make sure that the destination system is consistent. If inconsistencies are reported, it is important to fix them before continuing.

  10. If the source system is no longer needed, uninstall it: SpeechMagic Workstations and SpeechMagic File Server.

Note: The source system is still functional after the upgrade procedure is complete.

  11. Finish setting up the destination system: install all SpeechMagic Workstations, add new users, etc.


Transferring data from SpeechMagic 6.1 to SpeechMagic 6.1

If, for example, you are expanding your SpeechMagic system and need another SpeechMagic installation you can transfer information from the source system to the destination system.

Proceed as follows:

  1. Make sure you have followed all the recommendations in preparing your source system.

  2. Log on to a source system SpeechMagic 6.1 Workstation.

  3. Double-click SmUpgrade_Step1_ExportFrom_V6.1.exe in the local BIN folder of the source system. The SpeechMagic Upgrade tool is opened.

  4. Follow the instructions on each page of the tool (for more information, see: SpeechMagic Upgrade tool - exporting data). When you are satisfied with each page, click Next to continue.

  5. Install the destination system including at least one Workstation; make sure you have followed all the recommendations in preparing your destination system.

Note: For a system that is already in use, use the System Check tool (SmSystemCheck.exe) to make sure that it is consistent. If inconsistencies are reported, it is important to fix them before continuing.

  6. Double-click SmUpgrade_Step2_ImportInto_V6.1.exe in the local BIN folder of the destination system. The SpeechMagic Upgrade tool is opened.

  7. Follow the instructions on each page of the tool (for more information, see: SpeechMagic Upgrade tool - importing data). When you are satisfied with each page, click Next to continue.

Note: The source system is still functional after the upgrade procedure is complete.

  8. Use the System Check tool (SmSystemCheck.exe) to make sure that the destination system is consistent. If inconsistencies are reported, it is important to fix them before continuing.

  9. Finish setting up the new system: install all SpeechMagic Workstations, add new users, etc.


SpeechMagic Upgrade tool - exporting data

Exporting data is the first part of the two part upgrade process. The SpeechMagic Upgrade tool guides you through the upgrade process, click Next to progress through the tool. Read each page carefully for information on the status of the data transfer.

You must first specify the location the data is to be stored in and then the data that is to be transferred. Activate a check box to have the data imported, clear a check box if you do not want the data imported. The following settings are available:

Users

Users are included in the transfer. Users installed in the source system will be created in the destination system when the data is imported during the second part of the upgrade process.

You can decide if you only want to transfer certain users to the destination system. Click the Select Users button to display the corresponding dialog box. All users in the source system are listed. Activate a check box to transfer information on that user.

ConText assignments

The assignments of ConTexts to users. This means which users are assigned to which ConTexts. Users' ConText assignments, as they exist in the source system, will be created in the destination system when the data is imported during the second part of the upgrade process.

Note: ConText assignment is related to the ConText licenses. Make sure your ConText license for the destination system covers the number of users assigned to each ConText. If not, the upgrade will fail.

You can decide if you only want to transfer certain ConText assignments to the destination system. Click the Select ConTexts button to display the corresponding dialog box. All ConTexts installed in the source system are listed. Activate a check box to transfer information on ConText assignments for that ConText.

ConText Adaptation rights

The type of ConText Adaptation rights users have. For example, which users are allowed to perform ConText Adaptation.

Users with the role of ConText administrator in the source system will also be assigned this role in the destination system.

Note: SpeechMagic 6.1 ConText Adaptation rights differ from SpeechMagic 5.1 SR1. For more information, see the "Administration" book in the SpeechMagic Online Help.

ConText data

ConText data will be transferred to the destination system. The transfer method used depends on the settings described below.

For more information on merging ConTexts, see the "ConText Adaptation" book in the SpeechMagic Online Help.

For information on the type of transfer you should use, see: Deciding which ConText transfer method to use.

The following settings are available:

Mode

The type of ConText data transfer. Select one of the following:

Supervised ConText merge

ConText data from the source system is merged with ConText data in the destination system. Merging ConText data is done manually. This is the recommended method. Once initiated, a ConText administrator must use the ConText Adaptation module to complete the merge process.

ConText data from the source system is merged with ConText data in the destination system. Adding user-added words and user-added grammar items involves confirmation by a ConText administrator, of every user-added word and user-added grammar item, in the destination system. This is the recommended method.

When to use: Use this type of ConText merge if you do not have the latest version of a ConText installed in SpeechMagic 5.1 SR 1. For example, if, when performing the upgrade process, you are also upgrading to the latest version of a ConText.

What can be merged: user-added words, user-added grammar items and user language models.

What cannot be transferred: ConText settings and changes to grammars done with customization lists.

Note: With this type of ConText merge you can make sure that words which have been wrongly added in the past or words that are no longer needed are not added to the destination system.

Important: If you use this type of ConText merge not all customizations done to the ConText in SpeechMagic 5.1 SR 1 can be transferred due to technological restrictions. Any customizations need to be applied again in the SpeechMagic 6.1 system.

Unsupervised ConText merge

ConText data from the source system is merged with ConText data in the destination system. The process is done automatically, no user interaction is involved to complete the ConText merge.

When to use: Use this type of ConText merge if you want to switch to the newest version of a ConText but you do not want to check the words and grammar items added in the past. We recommend using the upgrade process as an opportunity to clean up the system and therefore favor supervised over unsupervised merging. However, you can also use ConTextPro after the upgrade process is complete to do this.

What can be merged: user-added words, user-added grammar items and user language models.

What cannot be transferred: ConText settings and changes to grammars done with customization lists.

Note: Using this method you cannot correct words added in the past. However, you can use ConTextPro to do this after the upgrade process is complete.

Full ConText replace

The ConText data from the source system completely overwrites the ConText data in the destination system. This is only possible if no ConTexts have been assigned to users in the destination system.

With this method the ConTexts of the SpeechMagic 5.1 SR 1 system will be completely copied to the SpeechMagic 6.1 system. All customizations done in SpeechMagic 5.1 are preserved.

When to use: Use this method if you are using the latest version of a ConText or if you have done a lot of customizations in SpeechMagic 5.1 and your users are satisfied with the performance.

What can be merged: everything.

What cannot be merged: You cannot upgrade to the latest build of a ConText using this method.

Note: Using this method you cannot correct words added in the past. However, you can use ConTextPro to do this after the upgrade process is complete.

Data

ConText data that is to be transferred. Select one of the following:

Lexicon and user language models

User-added words and user-added grammar items, and language model data of users (ULMs) from the source system will be updated in the destination system. This is the recommended method.

Lexicon only

User-added words and user-added grammar items from the source system will be updated in the destination system.

User language models only

Language model data of users from the source system will be updated in the destination system.

Acoustic reference files

Acoustic references of users (ARFs) will be transferred from the source system to the destination system.

Note: In SpeechMagic 6.1 improved ARFs are available. However, it is not possible to transfer a SpeechMagic 5.1 SR1 ARF and then convert it to a SpeechMagic 6.1 ARF.

Dictations

Dictations with the following dictation statuses will be transferred to the destination system with the same status:

RECOGNITION_PENDING

CORRECTION_PENDING

ONLINERCG_PENDING

CORRECTION_EXPORTED

Include dictations to be purged or in the adaptation process

Dictations with all other statuses will be transferred to the destination system with the status PURGE_PENDING.

Transferring dictations with these statuses might be useful as they are not lost to an integrator's workflow and will be used by the Purge System Task for performance analysis.

Note: These dictations cannot be re-used in the destination system.

For more information on dictation statuses, see the "System Administration" book in the SpeechMagic Online Help.

See also

Upgrading from SpeechMagic 5.1 SR1 to SpeechMagic 6.1

Transferring data from SpeechMagic 6.1 to SpeechMagic 6.1

SpeechMagic Upgrade tool - importing data


SpeechMagic Upgrade tool - importing data

Importing data is the second part of the two part upgrade process. The SpeechMagic Upgrade tool guides you through the upgrade process, click Next to progress through the tool. Read each page carefully for information on the status of the data transfer.

You must specify the location where the data was exported to during the first part of the upgrade process. The tool checks that all the preconditions are fulfilled. For example, that all source system Language Packages and ConTexts are installed in the destination system.

Data that can be transferred

Activate a check box to have the data imported, clear a check box if you do not want the data imported. The following settings are available:

Users

Users installed in the source system will be created in the destination system.

You can decide if you only want to transfer certain users to the destination system. Click the Select Users button to display the corresponding dialog box. All users which were exported during the first part of the upgrade process are listed. Activate a check box to transfer information on that user.

ConText assignments

Users' ConText assignments, as they exist in the source system, will be created in the destination system.

Note: ConText assignment is related to the ConText licenses. Make sure your ConText license for the destination system covers the number of users assigned to each ConText. If not, the upgrade will fail.

You can decide if you only want to transfer certain ConText assignments to the destination system. Click the Select ConTexts button to display the corresponding dialog box. All ConTexts which were exported during the first part of the upgrade process are listed. Activate a check box to transfer information on ConText assignments for that ConText.

ConText Adaptation rights

The type of ConText Adaptation rights users have. For example, which users are allowed to perform ConText Adaptation.

Users with the role of ConText administrator in the source system will also be assigned this role in the destination system.

Note: SpeechMagic 6.1 ConText Adaptation rights differ from SpeechMagic 5.1 SR1. For more information, see the "Administration" book in the SpeechMagic Online Help.

ConText data

ConText data will be transferred to the destination system. The transfer method used depends on the settings described below.

For more information on merging ConTexts, see the "ConText Adaptation" book in the SpeechMagic Online Help.

For information on the type of transfer you should use, see: Deciding which ConText transfer method to use.

The following settings are available:

Mode

The type of ConText data transfer. Select one of the following:

Supervised ConText merge

ConText data from the source system is merged with ConText data in the destination system. Merging ConText data is done manually. This is the recommended method. Once initiated, a ConText administrator must use the ConText Adaptation module to complete the merge process.

ConText data from the source system is merged with ConText data in the destination system. Adding user-added words and user-added grammar items involves confirmation by a ConText administrator, of every user-added words and user-added grammar item, in the destination system. This is the recommended method.

When to use: Use this type of ConText merge if you do not have the latest version of a ConText installed in SpeechMagic 5.1 SR 1. For example, if, when performing the upgrade process, you are also upgrading to the latest version of a ConText.

What can be merged: user-added words, user-added grammar items and user language models.

What cannot be transferred: ConText settings and changes to grammars done with customization lists.

Note: With this type of ConText merge you can make sure that words which have been wrongly added in the past or words that are no longer needed are not added to the destination system.

Important: If you use this type of ConText merge not all customizations done to the ConText in SpeechMagic 5.1 SR 1 can be transferred due to technological restrictions. Any customizations need to be applied again in the SpeechMagic 6.1 system.

Unsupervised ConText merge

ConText data from the source system is merged with ConText data in the destination system. The process is done automatically, no user interaction is involved to complete the ConText merge.

When to use: Use this type of ConText merge if you want to switch to the newest version of a ConText but you do not want to check the words and grammar items added in the past. We recommend using the upgrade process as an opportunity to clean up the system. However, you can also use ConTextPro after the upgrade process is complete to do this.

What can be merged: user-added words, user-added grammar items and user language models.

What cannot be transferred: ConText settings and changes to grammars done with customization lists.

Note: Using this method you cannot correct words added in the past. However, you can use ConTextPro to do this after the upgrade process is complete.

Full ConText replace

The ConText data from the source system completely overwrites the ConText data in the destination system. This is only possible if no ConTexts have been assigned to users in the destination system.

When to use: Use this method if you are using the latest version of a ConText or if you have done a lot of customizations in SpeechMagic 5.1 and your users are satisfied with the performance.

What can be merged: everything.

What cannot be merged: You cannot upgrade to the latest build of a ConText using this method.

Note: Using this method you cannot correct words added in the past. However, you can use ConTextPro to do this after the upgrade process is complete.

Data

ConText data that is to be transferred. Select one of the following:

Lexicon and user language models

User-added words and user-added grammar items, and language model data of users (ULMs) from the source system will be updated in the destination system. This is the recommended method.

Lexicon only

User-added words and user-added grammar items from the source system will be updated in the destination system.

User language models only

Language model data of users from the source system will be updated in the destination system.

Acoustic reference files

Acoustic references of users (ARFs) will be transferred from the source system to the destination system.

Note: In SpeechMagic 6.1 improved ARFs are available. However, it is not possible to transfer a SpeechMagic 5.1 SR1 ARF and then convert it to a SpeechMagic 6.1 ARF.

Dictations

Dictations with the following dictation statuses will be transferred to the destination system with the same status:

RECOGNITION_PENDING

CORRECTION_PENDING

ONLINERCG_PENDING

CORRECTION_EXPORTED

Include dictations to be purged or in the adaptation process

Dictations with all other statuses will be transferred to the destination system with the status PURGE_PENDING.

Transferring dictations with these statuses might be useful as they are not lost to an integrator's workflow and will be used by the Purge System Task for performance analysis.

Note: These dictations cannot be re-used in the destination system.

For more information on dictation statuses, see the "System Administration" book in the SpeechMagic Online Help.

Reviewing the data to be transferred

On this page you can check if the data to be transferred is correct. For example, if you select Language, the languages are listed.

Pairing ConTexts

Every ConText present in the source system, and that should be transferred, must be installed in the destination system; put another way, the ConTexts in both systems must match. During the upgrade process ConTexts from the source system are paired with ConTexts from the destination system. However, it is possible that the same ConText has a different name in the destination system from the source system.

The ConText Name Synchronization dialog box ensures that all ConTexts from the source system are paired with the equivalent ConText in the destination system. Here you can resolve all ConText naming issues by pairing ConTexts with different names. For each source ConText, click the Destination ConText column and select a destination ConText from the list. Click OK to accept your settings or Cancel to exit the upgrade tool.

Example - ConText: Radiology US

In the source system this ConText was installed with the name Radiology-US. In the destination system this ConText was installed with the name Radiology-US-Department-A. You must resolve the discrepancy manually during the upgrade procedure; the upgrade tool will not automatically pair these two ConText names.

You will be informed if not all ConTexts being imported from the source system have been installed in the destination system. If they have not, cancel the upgrade tool, install all necessary ConTexts and then start the upgrade tool again.

Transferring user information

It is recommended not to manually install any users when setting up a new, 'clean' destination system. This will ensure that there are no user conflicts. See: Preparing your destination system.

However, it is not possible to follow this recommendation in the situation where two source systems are to be consolidated into one. In this case, it is possible that user conflict could be an issue. For example, a conflict will occur if the destination system already contains a user with the same name but the gender does not match: if this occurs it is not possible to perform the upgrade process.

The User Conflicts dialog box lists users who exist in both the source system and the destination system and that have different attributes. This dialog box displays information on how the upgrade tool will react to differences which have been identified.

Possible user differences between the source and destination systems:

  • Full name: If it is not identical, the destination system full name is used.

  • User name: If capitalization differs, the second part of the upgrade process will skip the user completely.

  • Gender: If it is not compatible, the second part of the upgrade process will skip the user completely.

  • Recognition right: If there is a deviation, the destination system recognition right is used.

  • Administration right: If there is a deviation, the destination system administration right is used.

  • Acoustic Adaptation setting: If there is a deviation, the destination system Acoustic Adaptation setting is used.

  • ConText Adaptation right: If this right is not yet assigned in destination system, it is created.

  • Input channel assignment: If this right is not yet assigned in destination system, it is created.

  • ConText assignment: If this right is not yet assigned in destination system, it is created.

Click OK to accept the proposed actions and continue the upgrade process or Cancel to exit the upgrade tool.

See also

Upgrading from SpeechMagic 5.1 SR1 to SpeechMagic 6.1

Transferring data from SpeechMagic 6.1 to SpeechMagic 6.1

SpeechMagic Upgrade tool - exporting data


Data which can/cannot be transferred

Data which can be transferred

  • Which Language Packages are required to be installed in the destination system.

  • Words and grammar items which have been added to ConTexts and which ConTexts were installed and to which user they were assigned in the source system.

  • Information and data on users (which ConTexts they are assigned to, their language models, their ARFs, etc.)

  • Which interface drivers are required to be installed in the destination system. The information transferred depends on your integration.

  • Dictations (depending on the dictation status).

Data which cannot be transferred

  • License keys - for the new system you need new system license and ConText license keys (especially if you are upgrading from SpeechMagic 5.1 SR1 to SpeechMagic 6.1).

  • Initial Training sound files – however, users do not have to repeat Initial Training.

  • Audio Wizard calibration information – users must run the Audio Wizard again in the destination system (once per user, input channel and Workstation).

  • Unknown word and unknown grammar item information – dictations and words which are currently being processed in ConText Adaptation will not be transferred, therefore it is recommended to complete the list of unknown words before starting the upgrade process.


Deciding which ConText transfer method to use

The following information will help you decide which ConText transfer method to use:

  1. Has the ConText been highly customized using ConTextPro?

If Yes, use the Full ConText replace option.

If No, go to step 2.

  2. Do the user-added words and/or user-added grammar items need to be cleaned up?

If Yes, use the Supervised ConText merge option.

If No, go to step 3.

  3. Use the Unsupervised ConText merge option. With this option it is still possible to clean up the ConText later using ConTextPro.

Note: If your installation has a large number of installed ConTexts and/or many words/grammar items have been added, the manual effort for a ConText administrator to complete the supervised ConText merge must be kept in mind.

See also

Upgrading SpeechMagic - overview

SpeechMagic Upgrade tool - exporting data

SpeechMagic Upgrade tool - importing data


Upgrading InterActive

If your SpeechMagic 5.1 SR1 system includes InterActive Clients you must synchronize the InterActive Client data with the SpeechMagic system (transferring data from the InterActive Client cache to the SpeechMagic central location) before the upgrade procedure is started. If the data is not synchronized the data in the local disk cache of the InterActive Client will be lost. Once the upgrade procedure is complete, all InterActive for SpeechMagic 5.1 SR1 Clients must be upgraded to InterActive for SpeechMagic 6.1 Clients.

More information on working with InterActive can be found in the SpeechMagic SDK Online Help. For more information on InterActive data synchronization, see the "Usage scenarios" book.


SpeechMagic Citrix Extension - overview

Some SpeechMagic components can be installed in a Citrix environment. SpeechMagic Citrix Extension overcomes the limitations of the audio redirection implemented in Citrix MetaFrame version 3.0 and 4.0 in order to improve the usability of SpeechMagic for document creation in a Citrix environment.

Note: The improvements are effective for the Citrix ICA protocol only (PN.exe and PNAgent.exe). Terminal sessions using the RDP protocol (for example, Windows Terminal Service) are not covered.

The following issues have been addressed:

  • Reaction time when stopping playback

  • Mixer redirection

  • Sound data bandwidth consumption - support of SpeechMagic-compatible audio formats with bandwidth consumption as low as 19.2kbps (CELP)

SpeechMagic Citrix Extension requires changes to the Citrix MetaFrame Presentation Server and to all Citrix clients where SpeechMagic applications will be used.

For more information on Citrix, see the documentation delivered with the software. Alternatively, see: www.citrix.com

Citrix and SpeechMagic

Follow these steps when working with Citrix and SpeechMagic:

  1. The Citrix MetaFrame Presentation Server and Citrix clients must be installed.

  2. Install SpeechMagic components.

  3. Install the SpeechMagic Citrix Extension server component on the Citrix MetaFrame Presentation Server.

  4. Install the SpeechMagic Citrix Extension client component on all Citrix clients.

See also

SpeechMagic Citrix Extension requirements

Redistribution setup

Installation on thin clients


SpeechMagic Citrix Extension requirements

Before installing the SpeechMagic Citrix Extension your system must conform to the following requirements.

Citrix server requirements

  • Hardware requirements

Hardware requirements are defined by the applications running on the server. Please refer to the documentation delivered with these applications.

  • Software requirements

Citrix MetaFrame Presentation Server must be installed. Versions 3.0 and 4.0 are supported. Citrix Presentation Server is certified to run on Microsoft Windows Server 2003 and Windows 2000 Server. Philips software has no additional operating system requirements.

In general, it is a prerequisite that the applications used on the server are capable of running within a Citrix environment. All applications must be able to run multiple times on the same PC within different Citrix sessions. The SpeechMagic Citrix Extension only covers the necessary improvements within the low level components so that the applications perform best within a Citrix session. However, this package does not influence the application side to make its usage possible in a Citrix environment.

Citrix client requirements

  • Hardware Requirements

PC or thin client capable of hosting one of the supported operating systems.

Sound blaster compatible sound card or USB audio device (e.g. Philips SpeechMike USB).

  • Software requirements

One of the following operating systems:

Microsoft Windows 2000

Microsoft Windows XP

Microsoft Windows XP Embedded

Note: The operating system version must conform to the Citrix client requirements.

The Citrix client must be installed. For support of Philips devices (for example, SpeechMike) Citrix client version 8 (or higher) is required (as earlier versions do not support button redirection on Philips devices).

Important: If a USB audio device (e.g. Philips SpeechMike USB) is used on the client, the Microsoft USB audio drivers must be installed on the client. This is the case especially for thin clients running Windows XPe because vendors exclude these drivers.

See also

SpeechMagic system requirements - overview


SpeechMagic components and Citrix

The SpeechMagic Audio COM control was developed to optimize document creation within a Citrix environment. The following SpeechMagic components are based on SpeechMagic Audio COM and can be operated in a Citrix environment:

  • SpeechMagic 6.1 InterActive

  • SpeechMagic 6.1 Recorder (installed as a stand-alone application and not as part of a SpeechMagic installation)

  • SpeechMagic 6.1 Recorder SDK (including SpeechMagic Audio COM control, SpeechMagic Recorder ActiveX control and Audio Wizard COM control)

  • Correction SDK 1.2

Note: SpeechMagic Citrix Extension does not solve issues regarding SpeechMagic Workstations (and applications depending on a SpeechMagic Workstation installation) in a Citrix environment. Only the modules listed are supported.

The following SpeechMagic components cannot be operated in a Citrix environment due to architectural reasons:

  • Initial Training

  • SpeechMagic Administration

  • Recorder (installed as part of a SpeechMagic installation)

  • ConText Adaptation

  • Dictation Editor

  • Correction Editor

  • CSPAPI-based online recognition and correction applications

Initial Training and ConText Adaptation

Initial Training and ConText Adaptation must be setup on a PC that is not used for hosting the Citrix server. If remote operation of ConText Adaptation is required, use remote access software as a possible workaround.


Installing SpeechMagic Citrix Extension on the Citrix MetaFrame Presentation Server

Important: You must follow this installation procedure. Double-clicking the setup.exe is not sufficient.

Before installing SpeechMagic Citrix Extension server component on the Citrix MetaFrame Presentation Server make sure the setup.exe file is available, for example, on a shared network drive. Proceed as follows:

  1. Log on to the Citrix MetaFrame Presentation Server as an operating system administrator.

  2. Go to the Start menu, Settings, Control Panel and click Add or Remove Programs. The corresponding dialog box is displayed.

  3. Click Add New Programs and then click CD or Floppy.

  4. Follow the wizard and designate setup.exe in the Citrix/Server folder of the SpeechMagic CD.

  5. Complete the installation wizard.

See also

Installing SpeechMagic Citrix Extension on a Citrix client

Redistribution setup


Installing SpeechMagic Citrix Extension on a Citrix client

Before installing SpeechMagic Citrix Extension client component on the Citrix Client make sure the setup.exe file is available, for example, on a shared network drive. Proceed as follows:

  1. Log on to a Citrix client PC as an operating system administrator.

  2. Browse for the Citrix/Client folder of the SpeechMagic CD and double-click the setup.exe file.

  3. Complete the installation wizard.

  4. Repeat for all Citrix client PCs.

See also

Installing SpeechMagic Citrix Extension on the Citrix MetaFrame Presentation Server

Redistribution setup

Installation on thin clients


Redistribution setup

The SpeechMagic Citrix Extension can be installed in an automated way, e.g. from another setup. Proceed as follows:

  1. Include the relevant setup file in your own package:

SpeechMagic CD: Citrix folder, Server folder, setup.exe

SpeechMagic CD: Citrix folder, Client folder, setup.exe

  2. Install them by executing the following command line:

Setup.exe /S /v /qn /I [PSP6174_DRIVER="YES"] [PSP6164_DRIVER="YES"] [PSP6274_DRIVER="YES"] [PSP6220_DRIVER="YES"] [PSP0210_DRIVER="YES"]

The optional arguments will install the drivers for the given device.

See also

Installing SpeechMagic Citrix Extension on the Citrix MetaFrame Presentation Server

Installing SpeechMagic Citrix Extension on a Citrix client


Installation on thin clients

Installing the SpeechMagic Citrix Extension on thin clients requires some special considerations. These may vary depending on the manufacturer of the thin client device. The following information is not an installation guide for a specific device, but rather a pointer to some of the issues you might encounter:

  • The device may have an automatic logon which logs on as a normal user. To install our components make sure that you log on as an operating system administrator.

  • A Citrix client may be already pre-installed. It may be an older version. Make sure that Citrix client version 8 or higher is installed.

  • If you want to use a USB audio device, make sure that Microsoft USB Audio drivers are installed on the client. Some thin clients do not provide this by default. A possible way to install the USB Audio drivers is to make a Windows XP (or XPe) CD accessible to the client via the network or a USB storage device and connect the USB audio device. When the Add Hardware Wizard asks for the USB Audio drivers, browse for the Windows XP CD image.

  • Make sure that the changes are stored persistently. On thin clients, this has to be done explicitly (The EWF Manager in Microsoft Windows XP Embedded for example provides the command 'Commit data to volume').

See also

Installing SpeechMagic Citrix Extension on a Citrix client


Citrix Extension updates

If a Citrix Extension only package is available (for example, if a service release for the Citrix Extension is provided), the solution is shipped as two self-extracting .exe files, for example:

  • SM61CitrixExtension112_Server.exe

  • SM61CitrixExtension112_Client.exe

It is recommended to uninstall the existing Citrix Extension installation before installing any updates. This ensures that everything is correctly updated. However, if necessary you can install an update on top of the existing Citrix Extension version.

Double-click the SM61SR1CitrixExtension112_Server.exe or SM61SR1CitrixExtension112_Client.exe file, specify the folder the files should be extracted to and click Unzip. The same file structure as in the Citrix folder on the SpeechMagic CD is generated.

You can then continue with installation, see:

Installing Citrix Extension on the Citrix MetaFrame Presentation Server

Installing Citrix Extension on a Citrix client


SpeechMagic TS Extension - overview

SpeechMagic components can be installed in a Microsoft Windows Terminal Services environment. SpeechMagic TS Extension overcomes the limitations of the audio and mixer redirection implemented in Microsoft Windows Terminal Services order to improve the usability of SpeechMagic for document creation in this environment.

The following issues have been addressed:

  • Audio channel based on RDP protocol, to enable support of Philips digital dictation and speech recognition products within Microsoft Terminal Server environment.

  • Audio redirection including support of audio compression.

  • Mixer redirection.

  • USB SpeechMike, Foot Control and DPM button redirection.

For more information on Microsoft Windows Terminal Services, see the documentation delivered with the software. Alternatively, see: http://www.microsoft.com

Windows Terminal Services and SpeechMagic

Follow these steps when working with Terminal Services and SpeechMagic:

  1. You must have a Windows XP/Server 2003 operating system with Terminal Services enabled.

  2. Install SpeechMagic components.

  3. Install the SpeechMagic TS Extension server component on the Windows Terminal Server.

  4. Install the SpeechMagic TS Extension client component on all Terminal clients.

See also

SpeechMagic TS Extension requirements

Redistribution setup

Installation on thin clients


SpeechMagic TS Extension requirements

Before installing the SpeechMagic TS Extension your system must conform to the following requirements.

Server requirements

  • Hardware requirements

Hardware requirements are defined by the applications running on the server. Please refer to the documentation delivered with these applications.

  • Software requirements

Windows Terminal Services Server must be installed. Windows Terminal Server is certified to run on Microsoft Windows Server 2003 and Windows 2000 Server. Philips software has no additional operating system requirements.

In general, it is a prerequisite that the applications used on the server are capable of running within a Terminal Services environment. All applications must be able to run multiple times on the same PC within different Terminal Services sessions. The SpeechMagic TS Extension only covers the necessary improvements within the low level components so that the applications perform best within a Terminal Services session. However, this package does not influence the application side to make its usage possible in a Terminal Services environment.

Client requirements

Currently only original Windows Terminal clients are supported.

  • Hardware Requirements

PC or thin client capable of hosting one of the supported operating systems.

Sound blaster compatible sound card or USB audio device (e.g. Philips SpeechMike USB).

  • Software requirements

One of the following operating systems:

Microsoft Windows 2000

Microsoft Windows XP

Microsoft Windows XP Embedded

Note: The operating system version must conform to the Terminal client requirements.

Important: If a USB audio device (e.g. Philips SpeechMike USB) is used on the client, the Microsoft USB audio drivers must be installed on the client. This is the case especially for thin clients running Windows XPe because vendors exclude these drivers.

See also

SpeechMagic system requirements - overview


SpeechMagic components and Terminal Services

The SpeechMagic Audio COM control was developed to optimize document creation within a Terminal Services environment. The following SpeechMagic components are based on SpeechMagic Audio COM and can be operated in a Terminal Services environment:

  • SpeechMagic InterActive

  • SpeechMagic 6.1 Recorder (installed as a stand-alone application and not as part of a SpeechMagic installation)

  • SpeechMagic 6.1 Recorder SDK (including SpeechMagic Audio COM control, SpeechMagic Recorder ActiveX control and Audio Wizard COM control)

  • Correction SDK 1.2

Note: SpeechMagic TS Extension does not solve issues regarding SpeechMagic Workstations (and applications depending on a SpeechMagic Workstation installation) in a Terminal Services environment. Only the modules listed are supported.

The following SpeechMagic components cannot be operated in a Terminal Services environment due to architectural reasons:

  • Initial Training

  • SpeechMagic Administration

  • Recorder (installed as part of a SpeechMagic installation)

  • ConText Adaptation

  • Dictation Editor

  • Correction Editor

  • CSPAPI-based online recognition and correction applications

Initial Training and ConText Adaptation

Initial Training and ConText Adaptation must be setup on a PC that is not used for hosting the Terminal Server. If remote operation of ConText Adaptation is required, use remote access software as a possible workaround.


Installing SpeechMagic TS Extension on the Terminal Server

Installing SpeechMagic TS Extension on the Windows Terminal Server

Important: You must follow this installation procedure. Double-clicking the setup.exe is not sufficient.

Before installing SpeechMagic TS Extension server component on the Terminal Server make sure the setup.exe file is available, for example, on a shared network drive. Proceed as follows:

  1. Log on to the Terminal Server as an operating system administrator.

  2. Go to the Start menu, Settings, Control Panel and click Add or Remove Programs. The corresponding dialog box is displayed.

  3. Click Add New Programs and then click CD or Floppy.

  4. Follow the wizard and designate setup.exe in the TSExtension/Server folder.

  5. Complete the installation wizard.

See also

Installing SpeechMagic TS Extension on a Terminal client

Silent setup


Installing SpeechMagic TS Extension on a Terminal client

Before installing SpeechMagic TS Extension client component on the Terminal client make sure the setup.exe file is available, for example, on a shared network drive. Proceed as follows:

  1. Log on to a client PC as an operating system administrator.

  2. Browse for the TSExtension/Client folder and double-click the setup.exe file.

  3. Complete the installation wizard.

  4. Repeat for all client PCs.

See also

Installing SpeechMagic TS Extension on the Terminal Server

Redistribution setup

Installation on thin clients


Silent setup

The SpeechMagic TS Extension can be installed in an automated way, e.g. from another setup. Proceed as follows:

  1. Include the relevant setup file in your own package:

TSExtension folder, Server folder, setup.exe

TSExtension folder, Client folder, setup.exe

  2. Install them by executing the following command line:

Setup.exe /S /v /qn /I [PSP6174_DRIVER="YES"] [PSP6164_DRIVER="YES"] [PSP6274_DRIVER="YES"] [PSP6220_DRIVER="YES"] [PSP0210_DRIVER="YES"]

The optional arguments will install the drivers for the given device.

See also

Installing SpeechMagic TS Extension on the Terminal Server

Installing SpeechMagic TS Extension on a Terminal client


Installation on thin clients

Installing the SpeechMagic TS Extension on thin clients requires some special considerations. These may vary depending on the manufacturer of the thin client device. The following information is not an installation guide for a specific device, but rather a pointer to some of the issues you might encounter:

  • The device may have an automatic logon which logs on as a normal user. To install our components make sure that you log on as an operating system administrator.

  • If you want to use a USB audio device, make sure that Microsoft USB Audio drivers are installed on the client. Some thin clients do not provide this by default. A possible way to install the USB Audio drivers is to make a Windows XP (or XPe) CD accessible to the client via the network or a USB storage device and connect the USB audio device. When the Add Hardware Wizard asks for the USB Audio drivers, browse for the Windows XP CD image.

  • Make sure that the changes are stored persistently. On thin clients, this has to be done explicitly (The EWF Manager in Microsoft Windows XP Embedded for example provides the command 'Commit data to volume').

See also

Installing SpeechMagic TS Extension on a Terminal client


SpeechMagic TS Extension updates

When a SpeechMagic TS Extension update is available the solution is shipped as two self-extracting .exe files, for example:

  • SM61TSExtension10_Server.exe

  • SM61TSExtension10_Client.exe

It is recommended to uninstall the existing SpeechMagic TS Extension installation before installing any updates. This ensures that everything is correctly updated. However, if necessary you can install an update on top of the existing TS Extension version.

Double-click the SM61TSExtension1_Server.exe or SM61TSExtension1_Client.exe file, specify the folder the files should be extracted to and click Unzip.

You can then continue with installation, see:

Installing TS Extension on the Terminal Server

Installing TS Extension on a Terminal client


SpeechMagic tools

A variety of ancillary tools are available in the Tools folder of the SpeechMagic CD. Ancillary tools are only available in English.

Tools folder

  • SmSrd.exe

This tool is a simple command line tool for viewing the contents of an .srd file.

SmDbStp subfolder

  • SmDbStp.exe

This tool is for creating a SpeechMagic Database.

ConTextPro subfolder

  • Setup.exe

This tool is for customizing ConTexts. For more information, see the ConTextPro Online Help.

SmUpgrade subfolder

  • SmUpgrade_Step2_ImportInto_V6.1.exe

SmUpgrade_Step1_ExportFrom_V6.1.exe

SmUpgrade_Step1_ExportFrom_V5.1SR1_SP4.exe

These tools are for upgrading your SpeechMagic installation.

SmSrdViewer subfolder

  • SmSrdViewer.exe

This tool is a GUI application for viewing the contents of an .srd file. For more information, see the Knowledge Base article on the SRD Viewer.

SmLicValidate subfolder

  • TSmLicValidate.exe

This tool is for checking if a SpeechMagic license key is valid.

The BIN folder of the SpeechMagic installation contains the following tool:

  • SmSystemCheck.exe

This tool is for ensuring that the SpeechMagic system is consistent.


Disk fragmentation

When SpeechMagic updates files on the SpeechMagic File Server, some file operations lead to disk fragmentation which can slow your system down and limit the space available on the SpeechMagic File Server. Please be aware of this issue and take steps to combat disk fragmentation.


Partner Web and Knowledge Base

The Partner Web is exclusively for partners of Philips Speech Recognition Systems (PSRS). To access the Partner Web you must first register. Click here to go to the registration form.

Registering for the Partner Web also entitles you to receive our monthly newsletter that keeps you up-to-date on all the latest PSRS news and events.

On the Partner Web you can find information on new releases, hotfixes and downloads as well as news, training dates and events. Additional technical information can be found in our Knowledge Base.

Please note that the Partner Web is only available in English.

Knowledge Base

The Knowledge Base contains information for integrators and administrators that is not included in the online help. You can search for specific workarounds, tools, hotfixes and HOWTOs.

For example, if you want to move your SpeechMagic installation to a different File Server, you can search for the keywords move root. You will be presented with a Knowledge Base article that explains the procedure.

Click here to go to the Knowledge Base.

URLs

Philips Speech Recognition Systems - http://www.speechrecognition.philips.com

Partner Web registration form - http://www.speechrecognition.philips.com/index.asp?id=608

Knowledge Base - http://www.speechrecognition.philips.com/index.asp?id=568


SpeechMagic service packs and hotfixes

Philips Speech Recognition Systems provides SpeechMagic service packs and hotfixes when necessary.

Be sure to check the Partner Newsletter and Partner Web for new downloads.

Service packs

A service pack is created to fix problems for which a workaround is not satisfying or not possible.

Service packs are specific to certain versions of SpeechMagic and are cumulative. This means that the latest service pack contains all changes to SpeechMagic since its release, including those in all previous service packs and hotfixes.

Read/write access to the SpeechMagic system root folder and operating system administrator rights are required.

If SpeechMagic Workstations have been configured for automatic update, they must be restarted after the service pack has been applied in order to deploy the update throughout the system.

Service packs can be classified as mandatory or optional. If a service pack classified as mandatory has been deployed but a Workstation has not yet been updated, it is no longer possible to start any SpeechMagic application on this Workstation.

If a service pack classified as optional has been deployed but a Workstation has not yet been updated, it is still possible to start any SpeechMagic application on this Workstation. The log file for that application will state that Workstation is not up-to-date.

Hotfixes

A hotfix is made available to provide a quick solution for a reported problem. In most cases this kind of solution is provided in a form similar to a service pack.

Hotfixes are specific to certain versions of SpeechMagic and are cumulative. This means that the latest hotfix contains all changes to SpeechMagic since the last service pack, including those in all previous hotfixes.

Applying a service pack or hotfix

Before applying a service pack or a hotfix be sure to read the Readme included. The Readme contains specific information on applying the service pack/hotfix. Details on applying service packs and hotfixes can also be found in the Knowledge Base.

When a service pack/hotfix is applied, if the appropriate automatic update setting has been made to your Workstation during SpeechMagic Workstation Setup the updates will be deployed automatically (when the Workstations are restarted). If this setting has not been made, it is the task of the partner's integration to deploy the update. Alternatively, a manual execution of Workstation Setup can also be done.

Note: If updates to the SpeechMagic SDK are included in the service pack/hotfix, they are not installed automatically. The corresponding files are located in a subfolder of the service pack/hotfix.

If you have any problems with a service pack or hotfix, please contact PSRS Professional Services: speechmagic@philips.com.


Code pages

When a Language Package is installed, its code page is checked. The Language Package code page must be compatible with the code page of the operating system of the PC and the collation sequence of the SpeechMagic Database.


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

Acoustic Adaptation

SpeechMagic process which automatically adapts a user's acoustic references to the user's voice characteristics. This process updates and improves the acoustic reference file (ARF) for every user who is included in Acoustic Adaptation by the system administrator.

acoustic feedback

Function of the SpeechMagic Recorder which enables the user to hear parts of the recorded speech while forwarding or rewinding the dictation. This feature is sometimes also referred to as monkey chatter.

acoustic reference file

File which stores the acoustic references of an individual user. It is updated by the Acoustic Adaptation process.

acoustic references

Acoustic data which describes the voice characteristics (e.g. the word pronunciation) of an individual user. Speech recognition uses these voice characteristics to interpret a user's speech input. The acoustic references are updated by the Acoustic Adaptation process for each user individually and stored in an acoustic reference file.

adaptation

Process which updates a user's acoustic references (Acoustic Adaptation) and ConText (ConText Adaptation).

ARF

See: acoustic reference file

asynchronous playback

Function of the SpeechMagic Correction Editor which allows the users to type in text while listening to the dictation. It is the opposite of synchronous playback. During synchronous playback, the word currently being played back is highlighted.

audio system

Also known as the sound system. It includes all the components used for recording and playing back sound - sound card, microphone, speakers - as well as the audio settings for the recording volume and the playback volume.

Audio Wizard

Tool for adjusting the audio settings to ensure the best possible sound quality. The Audio Wizard calibrates the settings for the recording volume and the silence detection level. Additionally, it also allows the playback volume to be defined. Adjusting the audio settings (calibration) is vital for achieving good speech recognition results.

author

SpeechMagic user who records dictations which are then processed using speech recognition and correction, or which are transcribed (typed out) manually.

auto-backspace

Automatic positioning feature for the playback of a dictation in the SpeechMagic Recorder. If an auto-backspace value has been specified, for example, three seconds, playback does not restart at the point at which the dictation was stopped, but the users will hear the last three seconds of the dictation again when playback is restarted.

Back to top

B

Background Lexicon

Dictionary containing between 300,000 and 800,000 words (depending on the language). SpeechMagic uses this for reference when unknown words are added to the ConText during the ConText Adaptation process.

batch recognition

Automatic recognition of dictations in SpeechMagic using the Recognition Task/Dispatcher Task system. Also referred to as offline recognition.

Back to top

C

Cache Lexicon

The Cache Lexicon contains all the words added to any ConText of a language. A Cache Lexicon exists for each installed Language Package. The Cache Lexicon is deleted when the last ConText of a language is uninstalled.

CELP

Audio compression format (CELP stands for Code Exited Linear Prediction). This format requires considerably less disk space than the PCM 16 kHz audio compression format.

ConText

Philips Speech Recognition Systems product which contains the vocabulary (ConText Lexicon) and the default language model used by SpeechMagic users for speech recognition. It contains words and word combinations, as well as information on the word pronunciation. ConTexts are available for different languages and specific application areas.

ConText Adaptation

SpeechMagic process which updates a user's language model and the ConText Lexicon in order to improve the recognition accuracy. It uses dictations which have been recognized and corrected, or adds words from documents which were not created using speech recognition. ConText Adaptation is performed with the ConText Adaptation Task and an interactive ConText Adaptation program.

ConText Adaptation Task

SpeechMagic System Task which analyzes corrected dictations for unknown words and unknown grammar items not contained in the ConText, adds unknown words to the ConText, updates the grammar and a user's language model in order to improve the recognition accuracy. The ConText Adaptation Task is an automatic process which works together with the interactive ConText Adaptation module.

ConText Tuner

ConText Adaptation function which analyzes documents or files created by SpeechMagic users for words not contained in the ConText in order to add new words and sentence patterns to the ConText. This improves the recognition accuracy.

correction

Editing a dictation in order to replace incorrectly recognized words or phrases. Correction may be performed by the author of the dictation or by a correctionist. To assist the correction process, the SpeechMagic Correction Editor provides the synchronous playback functionality.

correction alternative

Alternative phrase which can be used to replace an incorrectly recognized word or a sequence of words, in order to make correction easier and faster. Correction alternatives derive from the speech recognition process.

Correction Editor

SpeechMagic application which allows the user to make corrections to the recognition results or to transcribe sound files (digital dictations) manually. The Correction Editor uses Microsoft Word and provides additional functions for the correctionist. These are functions for positioning in the sound file, highlighting during playback (synchronous playback) and for correction.

Correction Manager

SpeechMagic application which lists the dictations waiting for correction in the SpeechMagic system. The Correction Editor can be started from the Correction Manager for a selected dictation.

Back to top

D

Database Recovery

SpeechMagic application which provides access to information stored in the SpeechMagic Database: dictations which exist in the SpeechMagic system and running tasks (applications and/or System Tasks). It can be used for reviewing this information and making changes to that information. Database Recovery may serve as a last resort for resolving inconsistencies in the SpeechMagic system.

dictation

The act of speaking into a recording device or the sound file resulting from this process. In the SpeechMagic system, dictations go through several stages in a workflow, for example, recording, speech recognition, correction.

Dictation Editor

SpeechMagic application which allows the user to dictate a text and have it recognized simultaneously (online recognition), and also to correct errors which may have occurred during recognition. The Dictation Editor uses Microsoft Word and provides functions for recording and recognition, positioning in the sound file, highlighting of words during playback (synchronous playback) and for correction.

dictation result

Dictated speech which has been converted into text in a document as a result of speech recognition. This forms a part of the recognition result.

digital input device

Input device which converts speech into digital audio data signals.

distributed installation

Type of SpeechMagic installation where dictation, recognition, correction and other SpeechMagic tasks are performed on several PCs in a network. These PCs are set up as SpeechMagic Workstations during the installation. In addition to the Workstations, there is a PC which is set up as the SpeechMagic File Server, and a Database Server.

DPM

Digital Pocket Memo: mobile input device developed by Philips for recording dictations. These dictations are stored digitally and can be downloaded to a PC for further processing. The Digital Pocket Memo supports different recording modes and recording formats. The Download/Configuration software provides configuration options for the Digital Pocket Memo and functions for the data transfer between the device and the PC.

DSS file

Sound file based on the Digital Speech Standard. This standard aims at establishing compatibility and exchangeability between the data recorded by digital speech recording/playback products from multiple vendors.

Back to top

E

EOL

Abbreviation for: End-of-Letter. This refers to the EOL button on the SpeechMike Pro or to a function which closes a sound file and marks a dictation as finished. Depending on the settings in the SpeechMagic Recorder, the EOL button on the SpeechMike Pro may be used to save and close a dictation or to submit it to the SpeechMagic workflow.

Back to top

F

Fast Job Propagation

Mode that enables partial adaptation of a ConText without user interaction in order to reduce the backlog of dictations waiting for ConText Adaptation. The language model is updated but unknown words and grammar items are not handled.

Foot Control

Philips foot pedal device which provides functions for navigation in a sound file during a correction or transcription session. The three Foot Control switches have the following functions: Playback, Fast Forward, Fast Rewind.

Back to top

G

General Correspondence ConText

Philips Speech Recognition Systems ConText which contains vocabulary for general dictation purposes, for example, letters, reports, memos.

grammar item

A special word or phrase which is formatted by the SpeechMagic grammars in a specific way.

Back to top

I

Initial Training

Process during which SpeechMagic learns a user's voice characteristics from training texts read aloud. From this, a user-specific acoustic reference file (ARF) is created to improve the recognition rate. Initial Training is based on the same technology as the Acoustic Adaptation process which takes place after recognition in the SpeechMagic system.

input channel

Acoustic property of a dictation which takes into consideration the different input devices which may be used for recording sound files, for example, microphone, mobile input device, telephone. Different acoustic reference files are used for recognition depending on the input channel assigned to a user.

input device

Peripheral device (for example, a keyboard) which enables users to give input to a computer. In the speech recognition environment, input device usually refers to a device for recording speech. This can be a microphone, a headset, a mobile input device (for example, the Digital Pocket Memo) or the telephone.

Insert mode

Recording mode which inserts new speech at the current position in the sound file but does not overwrite existing parts of the sound file. This function can be compared to the function for inserting text in Windows applications.

Back to top

L

language

Within SpeechMagic, language refers to a recognition language (the language in which a user dictates and which is used by the system for recognition) or user interface language (the language of the menus, dialog boxes and messages of an application).

Language Model

Statistical model contained in a ConText which represents the usage and sequence of words. The Language Model is user-specific and contains information on the probability of words appearing in certain combinations.

Language Package

Set of files which belong to a recognition language. A Language Package contains a Background Lexicon and initial acoustic reference files. Language Packages are available for different languages, such as English US, English UK, German, French, Dutch, Flemish, Finnish, Danish and others. The ConText used for speech recognition is always based on a specific Language Package.

Lexicon Browser

SpeechMagic tool for editing a ConText. This tool is provided by Technical Support (Philips Speech Recognition Systems, Professional Services) on request.

Back to top

N

natural speech recognition

Technology which allows users to speak naturally when they are dictating, without making pauses between words.

Back to top

O

online recognition

Process of speech (dictation) being transformed into text as a user dictates to the computer. Online recognition is supported by the SpeechMagic Dictation Editor.

Overwrite mode

Recording mode which places new speech at the current position in the sound file while overwriting existing speech. This function can be compared to the function for overwriting (replacing) text in Windows applications.

Back to top

P

phonetic description

Spelling of a word which represents how that word is pronounced (for example, apropos becomes aproupou).

phonetic transcription

Representation of words in phonetic symbols which describe how a particular word is pronounced. Phonetic transcriptions of existing words are contained in the ConText; phonetic transcriptions of new words are generated during ConText Adaptation.

playback volume

Volume at which dictated text is played back through the speakers.

professional ConText

ConText for specific application areas, for example, medical, legal, insurance.

Purge Task

SpeechMagic System Task which automatically deletes dictations and related data no longer required by the SpeechMagic system. The Purge Task runs on an assigned SpeechMagic Workstation.

Back to top

R

recognition

Process which transforms speech into text. For the recognition process, SpeechMagic uses the acoustic references of an individual user and a ConText which contains the vocabulary and the users' language models. SpeechMagic supports both batch recognition and online recognition.

recognition language

Language which is used for recognition. Recognition works with a language-specific ConText which is based on a Language Package for this language.

recognition rate

Percentage of words correctly recognized when dictating. Sometimes referred to as recognition accuracy. Recognition errors may be corrected during the correction process. To improve the recognition rate, the Audio Wizard, Acoustic Adaptation and ConText Adaptation should be performed.

recognition result

All sounds recognized by the recognizer, including the dictated speech (which is converted into text), redundant speech and background noise (which are ignored), as well as spoken commands (which are executed).

Recognition Task

SpeechMagic System Task which automatically performs speech recognition of dictations in batch mode. The Recognition Tasks run on assigned SpeechMagic Workstations. There may be several Recognition Tasks within a SpeechMagic system. In addition, the Recognition Task performs Acoustic Adaptation for the recognized dictations and updates the users' acoustic reference files.

recognition unit

Separate units within the Recognition Task which perform recognition.

recording volume

Loudness of the speech input when recording a dictation; also referred to as microphone input level. The recording volume is set by the Audio Wizard together with the silence detection level.

redundant phrase

Word or words that are recorded but should not appear the final report.

Back to top

S

silence detection level

Threshold level of the recording volume which allows the recording application to distinguish between speech (which should be recorded), and silence or background noise (which should not be recorded). Recording stops automatically when the volume of the speech input is below the silence detection level, and restarts automatically when the speech input is above this level. The silence detection level is calculated by the Audio Wizard together with the recording volume (microphone input level). This level is sometimes also referred to as the VA level.

sound card

Adapter card in the computer hardware which enables the input and output of audio signals, for example via a microphone and speakers.

sound file

File which contains audio data in a special format, usually .wav. Another example of an audio format is .dss.

SpeechMagic

Professional speech recognition software system for a large number of users in a network (distributed installation) or as a stand-alone installation. SpeechMagic supports several languages for recognition; for speech recognition it uses mainly professional ConTexts but can also work with General Correspondence ConTexts. SpeechMagic provides applications for recording, online recognition and correction as well as System Tasks which perform automatic speech recognition and adaptation in a workflow.

SpeechMagic Database

Database which is used by SpeechMagic to coordinate the processing of dictations in the SpeechMagic system, to keep track of the dictation status and to synchronize the various SpeechMagic processes and applications. The setup of the SpeechMagic Database must be done prior to SpeechMagic Server Setup.

SpeechMagic File Server

A PC in the SpeechMagic system which stores SpeechMagic-related data used by Workstations centrally, for example, dictations, language data, user data. The setup of the SpeechMagic File Server is done by SpeechMagic Server Setup. In the case of a stand-alone system, the File Server is located on the same PC as the SpeechMagic Workstation.

SpeechMagic job

A dictation and other related data which goes through several processing steps within the workflow of a SpeechMagic system. In addition to the dictation name, the job contains the author's name, the ConText used for speech recognition and other data. At every stage in the workflow, a job has a specific dictation status - for example, recognition running, correction pending - which is stored in the SpeechMagic Database. Jobs in the SpeechMagic system are part of the SpeechMagic queue.

SpeechMagic queue

Queue formed by SpeechMagic jobs (dictations) as they go through the stages of the SpeechMagic workflow.

SpeechMagic Recorder

Professional dictation software program with enhanced recording, playback and positioning functions. It enables the user to create, edit and save dictations as sound files for later processing. The SpeechMagic Recorder also includes the Audio Wizard for adjusting the audio settings.

SpeechMagic Server Setup

Setup program for installing the SpeechMagic File Server where all SpeechMagic data is centrally stored, including the files required for the setup of SpeechMagic Workstations.

SpeechMagic Windows Service

Process which hosts the SpeechMagic System Tasks on a SpeechMagic Workstation.

SpeechMagic user

User of the SpeechMagic system who may have one or more of several tasks: recording dictations for speech recognition, correcting dictations, transcribing dictations, preparing ConText Adaptation, system administration, etc. Users whose dictations are recognized have a user-specific acoustic reference file and one or more speech recognition ConTexts assigned to them.

SpeechMagic Workstation

A PC in the SpeechMagic system which runs SpeechMagic applications and SpeechMagic System Tasks. There may be any number of Workstations in a SpeechMagic system. The setup of a SpeechMagic Workstation is done by the SpeechMagic Workstation Setup. In the case of a stand-alone system, the SpeechMagic Workstation is installed on the same PC as the SpeechMagic File Server.

SpeechMagic Workstation Setup

Setup program for installing a SpeechMagic Workstation which runs one or several SpeechMagic applications and/or one or several SpeechMagic System Tasks.

SpeechMike

Philips audio device specifically designed for speech recognition. This device includes a trackball, microphone and speaker.

SpeechExec

Professional dictation and transcription application. The dictation module enables users to create, edit and save dictations as sound files for later processing. The transcription module enables users to play back dictations which have been created earlier and transcribe them manually into text.

SRD file

Short for Speech Recognition Document. File format which is used for exporting and importing SpeechMagic dictations, for example, for the purpose of correction on a remote site. An SRD file usually contains sound, text and additional information. The text usually comes from the recognition of the sound file. The additional information includes the author's name, the ConText used for speech recognition, the recognized and corrected text, and more.

stand-alone installation

SpeechMagic installation in which all data files and executables are located on the local hard disk of a PC. This PC acts as File Server and runs all SpeechMagic System Tasks, as well as the SpeechMagic applications.

synchronous playback

Function of the SpeechMagic Dictation Editor and Correction Editor which highlights every word while playing back sound files. This makes it easier to find errors and to correct them.

Back to top

T

transcription

Act of manually typing out a dictation recorded by an author.

Back to top

U

user interface language

Language of the user interface (menus, dialog boxes and messages) of the SpeechMagic applications.

Back to top

V

VA level

Voice-activated recording level, also referred to as silence detection level, voice sensitivity threshold or VAR level. The VA level is a threshold level of the recording volume which allows the recording application to distinguish between speech (which should be recorded), and silence or background noise (which should not be recorded). Recording stops automatically when the speech input volume is below the VA level, and restarts automatically when the input volume is above this level.

vocabulary

Words contained in the ConText with information on how they are pronounced. New words can be added to the vocabulary via ConText Adaptation or by using the ConText Tuner.

voice-activated recording

Operating mode of a recording device or application which automatically starts and stops recording when speech is above or below a certain input level. VA stands for voice-activated.

Back to top

W

WAV file

Sound file format with a .wav extension. This is a standard sound file format which can be created by most computer recording applications. SpeechMagic supports several sound file formats such as CELP 8 kHz, CELP 16 kHz and PCM 8 kHz.

workflow

Automation of a business process during which documents, information or tasks are passed from one workflow participant to another for action, according to a set of procedural rules.

Back to top


PCRE LICENCE
------------

PCRE is a library of functions to support regular expressions whose syntax
and semantics are as close as possible to those of the Perl 5 language.

Release 6 of PCRE is distributed under the terms of the "BSD" licence, as
specified below. The documentation for PCRE, supplied in the "doc"
directory, is distributed under the same terms as the software itself.

The basic library functions are written in C and are freestanding. Also
included in the distribution is a set of C++ wrapper functions.

THE BASIC LIBRARY FUNCTIONS
---------------------------

Written by:       Philip Hazel
Email local part: ph10
Email domain:     cam.ac.uk

University of Cambridge Computing Service,
Cambridge, England. Phone: +44 1223 334714.

Copyright (c) 1997-2005 University of Cambridge
All rights reserved.

THE C++ WRAPPER FUNCTIONS
-------------------------

Contributed by:   Google Inc.

Copyright (c) 2005, Google Inc.
All rights reserved.

THE "BSD" LICENCE
-----------------

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.

    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.

    * Neither the name of the University of Cambridge nor the name of Google
      Inc. nor the names of their contributors may be used to endorse or
      promote products derived from this software without specific prior
      written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

End


SourceGrid - .NET(C#) Grid control

Copyright (c) 2004, Davide Icardi

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the ORGANIZATION nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


SourceLibrary - .NET(C#) Utility Library

Copyright (c) 2004, Davide Icardi

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the ORGANIZATION nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.